libvirt (7.0.0-3+deb11u3) bullseye; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2021-3631: SELinux MCS may be accessed by another machine.
    (Closes: #990709)
  * Fix CVE-2021-3667: Improper locking in the
    virStoragePoolLookupByTargetPath API. (Closes: #991594)
  * Fix CVE-2021-3975: Use-after-free vulnerability. The
    qemuMonitorUnregister() function in qemuProcessHandleMonitorEOF is called
    using multiple threads without being adequately protected by a monitor
    lock.
  * Fix CVE-2021-4147: Deadlock and crash in libxl driver. (Closes: #1002535)
  * libxl: Fix regression in domain shutdown.
  * Fix CVE-2022-0897: Missing locking in nwfilterConnectNumOfNWFilters.
    (Closes: #1009075)
  * Fix CVE-2024-1441: Off-by-one error in the udevListInterfacesByStatus()
    function. (Closes: #1066058)
  * Fix CVE-2024-2494: Missing check for negative array lengths in RPC server
    de-serialization routines. (Closes: #1067461)
  * Fix CVE-2024-2496: NULL pointer dereference in the
    udevConnectListAllInterfaces() function.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 30 Jul 2024 21:35:28 +0200

libvirt (7.0.0-3+deb11u2) bullseye; urgency=medium

  * [461d540] Fix libxl config test failures.
    Backports two commits from upstream to not fail with newer xen.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 Feb 2023 17:50:14 +0100

libvirt (7.0.0-3+deb11u1) bullseye; urgency=medium

  [ Guido Günther ]
  * [eb0956b] d/salsa-ci: Switch to bullseye
  * [dfcaecc] d/gbp.conf: Switch to bullseye
  * [7decb27] vircgroup: Fix virCgroupKillRecursive() wrt nested controllers.
    Thanks to Dio Putra (Closes: #983871)

  [ Joachim Falk ]
  * [fcfceec] lxc: Fix reboot command
    (Closes: #991773)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 Nov 2022 21:59:50 +0100

libvirt (7.0.0-3) unstable; urgency=medium

  * Team upload

  * [5ae74e0] libvirtd: Improve default file
  * [b11d3c3] virtlogd: Fix some bugs in the sysv init script

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 26 Feb 2021 16:46:34 +0100

libvirt (7.0.0-2) unstable; urgency=medium

  * Team upload

  [ Matthew Gabeler-Lee ]
  * [7391555] control: recommend qemu support for iscsi-direct
    - Closes: #981284

  [ Andrea Bolognani ]
  * [8048eef] control: Always use versioned deps for libvirt components
    - Closes: #981435
  * [effe0cd] control: Always explicitly depend on libvirt0
  * [d3c8ec2] control: Bump Standards-Version to 4.5.1

  [ Christian Ehrhardt ]
  * [3cbe8f9] d/control: avoid libvirt-clients to pull in libvirt-daemon
  * [295944d] systemd: start, but do not restart libvirt-guests.service
  * [ddbad4b] systemd: do not restart sockets

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 10 Feb 2021 23:23:32 +0100

libvirt (7.0.0-1) unstable; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [561e347] libvirt-daemon-config-nwfilter: Install new nwfilters
  * [56231e3] patches: Add backport/meson-Fix-cross-building-[...].patch
    - Closes: #980334

  [ Christian Ehrhardt ]
  * [6568c68] apparmor: allow hot-plug for qcow backing chains
    - Closes: #981001
  * [8173ce4] libvirt-daemon-config-*: reload libvirtd before restart
  * [dc21d88] systemd: Drop libvirtd dep from virt-guest-shutdown.target
    - Avoids reintroducing: #955216

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 28 Jan 2021 22:06:43 +0100

libvirt (6.9.0-4) unstable; urgency=medium

  * Team upload

  * [f5c0ebf] control: Strengthen dependencies between packages

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 22 Jan 2021 22:31:04 +0100

libvirt (6.9.0-3) unstable; urgency=medium

  * Team upload

  * [81999fb] rules: Move virt-aa-helper to libvirt-daemon
  * [b9b6a95] control: Make libvirt-daemon-system-{systemd,sysv} Arch: all

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 19 Jan 2021 23:10:20 +0100

libvirt (6.9.0-2) experimental; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [55504dd] libvirt-daemon-config-network: New binary package
    - Closes: #973489
  * [0168a25] libvirt-daemon-config-nwfilter: New binary package
  * [7ad0fe3] libvirt-daemon-driver-storage-iscsi-direct: New binary package
    - Closes: #918728
  * [aadb56a] libvirt-login-shell: New binary package
  * [807a8de] libvirt-clients: Move out virt-qemu-run
  * [3af477f] libvirt-daemon: Move out libvirt_lxc
  * [03f8bbb] libvirt-daemon: Move out sanlock-related files
  * [b94f649] libvirt-daemon: Move out bash-completion support
    - Closes: #904036

  [ Guido Günther ]
  * [acb5c16] d/control: Use qemu-system instead of qemu
    - Closes: #966239

  [ Christian Ehrhardt ]
  * [8c1bf5d] d/control: fix circular dependency on libvirt-daemon-driver-qemu
    - Closes: #963898
  * [3d8fdd2] apparmor: add local include for libvirt-qemu & libvirt-lxc

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 14 Jan 2021 23:51:32 +0100

libvirt (6.9.0-1) unstable; urgency=medium

  * Team upload

  * [9328bc8] New upstream version 6.9.0
  * [88c8a9e] patches: Drop backport/rpc-Fix-virt-ssh-helper-detection.patch

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 08 Nov 2020 15:33:59 +0100

libvirt (6.8.0-1) unstable; urgency=medium

  * Team upload

  * [a09e8f2] New upstream version 6.8.0
  * [11671ad] patches: Drop backport/[...]gluster-module-dep.patch
  * [d4522ee] patches: Add backport/rpc-Fix-virt-ssh-helper-detection.patch
  * [1012105] libvirt-daemon: Install virt-ssh-helper
  * [1070367] control: Drop Build-Depends on netcat-openbsd
  * [509eb72] control: Drop Build-Depends on libdbus-1-dev

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 28 Oct 2020 01:08:23 +0100

libvirt (6.7.0-3) experimental; urgency=medium

  * Team upload

  * [2a7b4f4] rules: Decrease timeout for tests to 5m
  * [6337ea2] rules: Make dh_missing errors non-fatal for -indep builds

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 11 Oct 2020 16:29:18 +0200

libvirt (6.7.0-2) experimental; urgency=medium

  * [7b7ff73] patches: Add backport/[...]gluster-module-dep.patch
  * [a9cc391] debhelper: Use compat level 13
  * [b327f9a] rules: Increase timeout for tests to 15m

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 10 Sep 2020 18:29:25 +0200

libvirt (6.7.0-1) experimental; urgency=medium

  * Team upload

  * [0d7a347] New upstream version 6.7.0
  * [c6306e9] patches: Drop obsolete patches
    The following patches are no longer necessary:
    - backport/apparmor-allow-default-pki-path.patch
    - backport/apparmor-allow-libvirtd-to-call-pygrub.patch
    - backport/apparmor-allow-libvirtd-to-call-virtiofsd.patch
    - backport/tools-fix-libvirt-guests.sh-text-assignments.patch
    - backport/virdevmapper-Don-t-cache-device-mapper-major.patch
    - backport/virdevmapper-Handle-kernel-without-device-mapper-support.patch
    - backport/virdevmapper-Ignore-all-errors-when-opening-dev-mapper-co.patch
    - debian/Prefer-sbin-over-usr-sbin.patch
  * [72f7997] patches: Rewrite build system patches
    The following patches have been rewritten:
    - debian/Revert-m4-virt-xdr-rewrite-XDR-check.patch
    - debian/Set-defaults-for-zfs-tools.patch
  * [37e7b80] patches: Add debian/Use-sensible-editor-by-default.patch
    Replaces use of the removed --with-default-editor configure option
  * [c326ac4] control: Add Build-Depends on meson

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 01 Sep 2020 23:26:23 +0200

libvirt (6.6.0-2) unstable; urgency=medium

  * Team upload

  [ Christian Ehrhardt ]
  * fix libvirt-lxc that was broken by libtirpc linking issues (LP: #1892826)
    - [92acaf6] add d/p/debian/Revert-m4-virt-xdr-rewrite-XDR-check.patch
    - [90093c0] Revert "control: Add Build-Depends on libtirpc-dev"
  * [c12faf1] replace patches for pki and pygrub with clean upstream backports
  * [6377d90] apparmor: allow libvirtd to call virtiofsd (LP: #1892736)

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 28 Aug 2020 17:18:51 +0200

libvirt (6.6.0-1) unstable; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [ecdcc72] New upstream version 6.6.0
    Includes fix for CVE-2020-14339 (Closes: #966563)
  * [751e146] upstream: Add key for Jiří Denemark
  * [ab2a1b4] control: Add Build-Depends on libtirpc-dev
  * [8714f7d] control: Drop Build-Depends on libncurses5-dev.
  * [1137e33] patches: Assign topic to all patches.
  * [51e52ab] patches: Reorder patches.

  [ Christian Ehrhardt ]
  * [ceab403] d/control, d/rules: feature architecture parity.
    Enable systemtap, numa and numad on more architectures.
  * [dd2d1a9] Drop d/p/apparmor-Allow-[....]-name-service-.patch.
    Doesn't seem to be necessary anymore.
  * [d31eba5] fix device mapper issues.
    Add the following backports:
    - virdevmapper-Don-t-cache-device-mapper-major.patch
    - virdevmapper-Ignore-all-errors-when-opening-dev-mapper-co.patch
    - virdevmapper-Handle-kernel-without-device-mapper-support.patch
  * [3145e31] tools: fix libvirt-guests.sh text assignments
    Add the following backports:
    - tools-fix-libvirt-guests.sh-text-assignments.patch

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 22 Aug 2020 17:05:23 +0200

libvirt (6.5.0-1) unstable; urgency=medium

  * Team upload

  * [38c0fa7] New upstream version 6.5.0
  * [b8a07b4] control: Add Recommends for mdevctl

 -- Andrea Bolognani <eof@kiyuko.org>  Mon, 27 Jul 2020 22:50:08 +0200

libvirt (6.4.0-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [d0f7eb5] enable attr support to be able to store XATTR labels.
    Among other things this allows to properly restore file ownership
    - d/control: build depend on libattr1-dev
    - d/rules: configure --with-attr
    Fixes: https://bugs.launchpad.net/ubuntu/+source/libvirt/+bug/691590

  [ Andrea Bolognani ]
  * Use consistent layout in packaging files

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Jul 2020 16:44:12 +0200

libvirt (6.4.0-1) experimental; urgency=medium

  * Team upload

  * [1662a90] New upstream version 6.4.0
    Includes a fix for CVE-2020-14301 (Closes: #963474)
  * [ad19936] patches: Drop tests-Mock-[...]-for-qemuhotplug.patch
  * [bfc4f8b] rules: Install upstream release notes
  * [995991b] control: Set Rules-Requires-Root: no
  * [dd75022] control: Bump Standards-Version to 4.5.0
  * [fa6aefb] rules: Enable 'bindnow' hardening option

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 21 Jun 2020 23:59:13 +0200

libvirt (6.2.0-1) experimental; urgency=medium

  * Team upload

  [ Guido Günther ]
  * Upload to experimental
  * [1b6982f] New upstream version 6.2.0
    Contains fix for CVE-2020-10701. (Closes: #955841)
      Thanks to Carnil for the triage
    Contains fix for CVE-2020-12430. (Closes: #959447)

  [ Andrea Bolognani ]
  * [ba77756] patches: Drop all gnulib-related patches
    Specifically:
      openpty-Skip-test-if-no-pty-is-available.patch
      Disable-gnulib-s-test-nonplocking-pipe.sh.patch
      test-posix_openpt-don-t-fail-on-EACCESS.patch
  * [2e0b5f1] patches: Add tests-Mock-[...]-for-qemuhotplug.patch
    Replaces:
      skip-qemuhotplugtest.patch
  * [7c1e182] debhelper: Use debhelper-compat package

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 03 May 2020 01:32:30 +0200

libvirt (6.0.0-7) unstable; urgency=medium

  [ Laurent Bigonville ]
  * [4e6f909] Disable polkit support on !linux, see: #927896
  * [3ee1c87] Do not build-depends against libglusterfs-dev on non-linux
    architectures

  [ Guido Günther ]
  * [41c33eb] Rediff patches
  * [da804f9] Backport fix for CVE-2020-10701.
    Thanks to Carnil for the triage (Closes: #955841)
  * [a5dd08c] d/rules: systemd: Also pass --no-restart-on-upgrade when using
    --no-start.

  [ Andrea Bolognani ]
  * [0c6a3a0] salsa-ci: Create local pristine-tar branch.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 13 May 2020 12:12:36 +0200

libvirt (6.0.0-6) unstable; urgency=medium

  [ Laurent Bigonville ]
  * [ea7b8b7] autopkgtest exits with 2 when there are skipped tests do not
    consider that as fatal

  [ Guido Günther ]
  * [100e8aa] Don't start or restart socket units on package upgrades.
    Changes get picked up when the corresponding system unit is being restarted.
    This avoids problems when socket and service units of the same service get
    restarted together. See #955483 for details.
  * [ff981d5] Pass --no-auto to dh_instalsystemd.
    This avoids generation of restart snippets for services listed in `Also=`
    sections of the service units. Otherwise these get restarted but we want
    to avoid that and let systemd figure it out all by itself.
    See: #955483, #841095

 -- Guido Günther <agx@sigxcpu.org>  Wed, 08 Apr 2020 17:04:11 +0200

libvirt (6.0.0-5) unstable; urgency=medium

  [ Guido Günther ]
  * [421e865] systemd: Don't restart libvirt-guests on upgrade
    (Closes: #955216)

  [ Laurent Bigonville ]
  * [5f72035] Only run qemu test on amd64
    (Closes: #955278)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Mar 2020 09:39:40 +0200

libvirt (6.0.0-4) unstable; urgency=medium

  * [d7df842] sysv: Don't restart libvirt-guests on upgrade
    (Closes: #954921)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 24 Mar 2020 15:10:20 +0100

libvirt (6.0.0-3) unstable; urgency=medium

  * [de68a4b] Bump Breaks/conflicts.
    While there were conflicts/breaks for the driver split we moved
    the augeas lenses in 6.0.0-1. (Closes: #954032, #953894)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 16 Mar 2020 09:55:01 +0100

libvirt (6.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Mar 2020 12:37:22 +0100

libvirt (6.0.0-1) experimental; urgency=medium

  [ Guido Günther ]
  * [33890b9] New upstream version 6.0.0
    (Closes: #939552) 
  * [c9f82be] gitlab-ci: Run autopkgtests

  [ Christian Ehrhardt ]
  * [fa167bc] d/libnss-libvirt.lintian-overrides: accept having two nss so
    files
  * [bf48357] d/libvirt-daemon-system-sysv.lintian-overrides: not shipping
    systemd files.  Packages are split intentionally, ignore this lintian
    warning.
  * [2278598] d/rules: also check build time self test results on all
    architectures
  * [c1be36a] d/rules: drop doc binary cleanup.
  * [6d60c3c] d/rules: don't ship split daemons just yet
  * [33f8dc4] d/p/skip-qemuhotplugtest.patch: fix qemuhotplugtest.
    Skip some elements of qemuhotplugtest that for now break in
    Debian/Ubuntu build environments.
  * [a1734f7] d/rules: add libvirt-guests.default to libvirt-daemon-system
    instead of libvirt-daemon-system-sysv
  * [69f6cfe] d/rules: install /etc/default/* files that are shared between
    sysv and systemd packages
  * [31be682] d/rules: install virtlockd for sysv
    (Closes: #880970)

  [ Andrea Bolognani ]
  * [070d158] Install virt-login-shell-helper.
    This new binary was introduced in libvirt 5.7.0 and is necessary for
    virt-login-shell to work.
  * [143dafb] Install augeas lenses for all drivers.
    These slipped through the cracks when we moved from picking up the
    corresponding directories as a whole to listing the specific files we're
    interested in.
  * [efa4cfe] Remove all mentions of Devhelp.
    As of libvirt 5.8.0, the corresponding files are no longer
    generated.
  * [8ebd427] not-installed: Remove obsolete entries.
    Now that upstream's build system has been fixed and we're picking up the
    documentation from the install location rather than the source directory,
    the corresponding files will no longer be flagged by dh_missing.
  * [ce54aef] not-installed: List all split daemons files.
    Since we're not shipping split daemons yet, the corresponding
    binaries as well as systemd units and augeas lenses will be
    flagged by dh_missing if we don't list them here.
  * [391e39d] symbols: Drop LIBVIRT_5.9.0
    libvirt 5.9.0 didn't introduce any new public symbols.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 12 Feb 2020 13:06:33 +0100

libvirt (6.0.0~rc1-1) experimental; urgency=medium

  [ Guido Günther ]
  * [443fae0] New upstream version 6.0.0~rc1
  * [70c5676] Bump symbol versions
  * [eb6c6c1] gitlab-ci: Build package.
    We unfortunately can't use salsa-ci's prebuilt pipeline since
    that hangs on large jobs:
    https://salsa.debian.org/salsa/support/issues/180
    We redirct output to a file to work around:
    https://salsa.debian.org/salsa/support/issues/191

  [ Christian Ehrhardt ]
  * [cc6b955] refresh d/p/* for v6.0.0
  * [5639ffb] d/control: bump build dep to python3
  * [dc99d35] d/rules: set enable-dependency-tracking to avoid FTBFS.
  * [af131c7] d/rules: drop the no more existing xen configure option
  * [84367d9] d/control: add python3-docutils as build dependency
  * [37f0a5c] d/libvirt-doc.doc: install rendered docs
  * [880f00e] d/libvirt-daemon-system.examples: Drop examples that are now
    conf files
  * [671aeca] d/libvirt-doc.doc-base.libvirt-doc: adapt doc base to new file
    placement

 -- Guido Günther <agx@sigxcpu.org>  Sat, 18 Jan 2020 18:16:20 +0100

libvirt (5.6.0-4) experimental; urgency=medium

  * [d88536d] Introduce libvirt-daemon-system-{systemd,sysv} Move init scripts
    to separate package that allows people to experiment with alternative init
    systems while avoiding the problems that mixed init scripts and systemd
    units have in the current packaging.
    Thanks to Christian Ehrhardt for all the input regarding upgrade
    problems seen in Ubuntu and possible solutions.
    (Closes: #887911, #905772)
  * [c19d230] autopkg tests: Use isolation-machine.
    This avoids running under debian ci since libvirt-lxc in lxc
    doesn't work there. (Closes: #947006)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Jan 2020 13:51:05 +0100

libvirt (5.6.0-3) unstable; urgency=medium

  * Team upload.

  [ Christian Ehrhardt ]
  * Move qemu, lxc, uml, vbox and xen connection drivers into separate
    packages. This reduces the dependencies pulled into default installations.
    (Closes: #901940)
  * d/copyright: Update

  [ Guido Günther ]
  * [362bec6] autopkgtest: Adjust to new path

 -- Guido Günther <agx@sigxcpu.org>  Wed, 27 Nov 2019 11:13:51 +0100

libvirt (5.6.0-2) unstable; urgency=medium

  * Team upload.

  * [4dcbe93] Revert "Disable libvirtd socket activation" (Closes: #935883)
  * [b464de1] Add libvirtd sockets handling

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 28 Aug 2019 19:39:00 +0200

libvirt (5.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Guido Günther ]
  * [fb43676] d/control: Drop dh-autoreconf build-dep
  * [81d21d5] d/not-installed: Use multi-arch dirs
  * [07d5669] New upstream version 5.6.0
    Fixes CVE-2018-12126, CVE-2018-12127, CVE-2018-12130, CVE-2019-11091,
    CVE-2019-10132
    (Closes: #915107, #931243, #929334)
  * [9f38a9e] apparmor: Allow run pygrub
    (Closes: #931768)
  * Acknowledge NMU. Thanks Jonathan Wiltshire

  [ Christian Ehrhardt ]
  * [c28c3b3] d/libvirt0.install: install translations
  * [c3c4cd4] d/libvirt-daemon-system.install: drop in helper for firewalld
  * [3e8b43c] d/not-installed: ignore default files /etc/sysconfig
  * [c223d7f] d/libvirt-daemon-system.examples: ship sysctl config as example
  * [f19acf6] d/libvirt-daemon-system.install: ship libxl-sanlock.conf
    (Closes: #919484)
  * [483e44a] d/libvirt-doc.docs: fix whitespace issue
  * [4f4751f] d/libvirt-doc.docs: install new doc elements
  * [781e22e] d/not-installed: ignore documentation already being installed
  * [eda89b2] d/no-installed, d/libvirt-doc.docs: do not install fonts
  * [ab67a28] d/copyright: add license for docs/fonts/
  * [2e222a2] d/rules: strip symbolic-functions linker option
  * [39b658c] Revert "d/libvirt-daemon-system.install: ship
    libxl-sanlock.conf"
  * [ce46360] d/rules: install libxl-sanlock.conf dependent on xen being
    enabled

  [ Andrea Bolognani ]
  * [6a2eae3] Simplify and improve watch file
  * [82a1edc] Bump symbol versions
  * [73fccd9] Specify --doc-main-package for dh_installdocs
  * [d48fdf6] Rediff patches
  * [3b16c86] Bump symbol versions
  * [48c9b75] Drop Avahi support
  * [a49de91] Fix AppArmor profile for virt-aa-helper
  * [b8e92da] Disable libvirtd socket activation
  * [73d1e8c] Install kbase articles

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 25 Aug 2019 16:32:31 +0200

libvirt (5.2.0-2) experimental; urgency=medium

  [ Guido Günther ]
  * [1ec90c0] d/compat: Switch to debhelper level 12
      * [fb6dd18] d/rules: s/no-restart-on-upgrade/no-stop-on-upgrade/
      * [3764b71] d/rules: --prallel not needed anymore
      * [1d92095] d/control: Add ${misc:Pre-Depends} for
        libvirt-daemon-system. This makes sure we pull in recent enough
        init-system-helpers
  * [02a155b] d/rules: Switch to dh_installsystemd
    dh_systemd_start is no longer used.
  * [bcad111] d/control: Fix typo
  * [8609192] d/control: Drop Debian revision on iptables build-dep.  Any
    version greater than 1.8.1 will do.
  * [447dd58] libnss-libvirt: Install libnss_libvirt-guest as well
    (Closes: #910288)
  * [4fb7d11] d/control: Build-depend on libglusterfs-dev.
    Since this is a recent addition we can drop the versioned dependency.
    (Closes: #919663)
  * [7b4ffeb] d/rules: Newer debhelper puts the libs into multi arch dirs.
    There's no need to move them manually anymore.

  [ Andrea Bolognani ]
  * [dd9cdaa] Use HTTPS for all URLs.
    This gets rid of the debian-watch-uses-insecure-uri informational Lintian
    tag, and then some.
  * [faaec12] Minimize upstream's signing key.
    This gets rid of the public-upstream-key-not-minimal informational Lintian
    tag.
  * [8a0e6f1] Remove Priority field from binary packages.
    This gets rid of the binary-control-field-duplicates-source informational
    Lintian tag.

  [ Christian Ehrhardt ]
  * [08f3a23] d/libvirt-clients.manpages: add virkeycode and virkeyname man
    pages.
  * [0f359de] d/rules: mv logrotate files to silence dh_missing
  * [f36ca33] dh_missing: ignore warning on libtool .la file

 -- Guido Günther <agx@sigxcpu.org>  Mon, 22 Apr 2019 12:20:36 +0200

libvirt (5.2.0-1) experimental; urgency=medium

  * Team upload.

  [ Christian Ehrhardt ]
  * [3997186] d/libvirt-daemon-system.maintscript: remove obsolete conffile
    /etc/logrotate.d/libvirtd.uml became obsolete since UML was dropped in
    libvirt 5.0 (Closes: #920574)
  * [c64d020] d/libvirt-daemon-system.libvirtd.default: clarify libvirtd_opts
    example (Closes: #921713)

  [ Guido Günther ]
  * [dd9d74f] New upstream version 5.2.0
  * [790365e] CVE-2019-3886: Don't allow unprivileged users to use the guest
    agent. Apply upstream patches
    remote-enforce-ACL-write-permission-for-getting-guest-tim.patch
    api-disallow-virDomainGetHostname-for-read-only-connectio.patch
    (Closes: #926418)

  [ Andrea Bolognani ]
  * [453f85d] Rediff patches. The patches
    security-aa-helper-allow-virt-aa-helper-to-read-dev-dri.patch
    security-aa-helper-generate-more-rules-for-gl-devices.patch
    security-aa-helper-gl-devices-in-sysfs-at-arbitrary-depth.patch
    security-aa-helper-nvidia-rules-for-gl-devices.patch
    virt-aa-helper-generate-rules-for-gl-enabled-graphics-dev.patch
    are included in libvirt 5.2.0 and have thus been dropped.
  * [a4294ef] Bump symbol versions.
  * [68394f6] Add tests-Avoid-writing-into-HOME-during-virsh-snapshot.patch

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 07 Apr 2019 18:39:49 +0200

libvirt (5.1.0-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * [76e2cb7] Don't recommend ebtables.
    It's part of the iptables package now. (Closes: #918472)

  [ Guido Günther ]
  * [5814c89] New upstream version 5.1.0
  * [55d063d] Rediff patches
  * [1102dae] d/gbp.conf: Switch to experimental
  * [cdf3787] d/rules: Adjust to now versioned wireshark module path

 -- Guido Günther <agx@sigxcpu.org>  Thu, 28 Mar 2019 13:03:29 +0100

libvirt (5.0.0-4) unstable; urgency=medium

  * [0fdc2af] Fix multiple CVEs related to privilege escalations on R/O
    connections.
    - CVE-2019-10161:
      CVE-2019-10161-api-disallow-virDomainSaveImageGetXMLDesc-.patch
    - CVE-2019-10166:
      api-disallow-virDomainManagedSaveDefineXML-on-read-only-c.patch
    - CVE-2019-10167:
      api-disallow-virConnectGetDomainCapabilities-on-read-only.patch
    - CVE-2019-10168:
      api-disallow-virConnect-HypervisorCPU-on-read-only-connec.patch
  * Include /etc/pki/qemu in apparmor (Closes: #930100)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Jun 2019 19:05:40 +0200

libvirt (5.0.0-3) unstable; urgency=medium

  [ Guido Günther ]
  * [6bc6e60] CVE-2019-10132: Fix vir{lock,log}d socket access.
    All patches were cherry-picked from upstream's v5.0-maint branch.
    (Closes: #929334)
  * [09016dd] d/patches: Move security fixes into security/

  [ Joachim Falk ]
  * [5d96699] lxc: Fix killing of lxc containers if cgroup backend v2 is
    unavailable.
    (Closes: #926999)
  * [ea7a491] lxc: Fix container shutdown and host reboot
    (Closes: #927310, #897394)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 May 2019 12:31:08 +0200

libvirt (5.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Guido Günther ]
  * [3a9c65c] d/control: Fix typo
  * [b9935e5] d/control: Drop Debian revision on iptables build-dep.
    Any version greater than 1.8.1 will do.

  [ Salvatore Bonaccorso ]
  * [b811e38] cpu_map: Define md-clear CPUID bit (CVE-2018-12126,
    CVE-2018-12127, CVE-2018-12130, CVE-2019-11091)
    (Closes: #929154)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 May 2019 13:50:25 +0200

libvirt (5.0.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * [76e2cb7] Don't recommend ebtables.  It's part of the iptables package now.
    (Closes: #918472)

  [ intrigeri ]
  * [d7a7218] Fix virtio-gpu + virgl support by cherry-picking upstream
    commits virt-manager in current sid still creates new VMs with QXL
    graphics by default, so this bug only affects users who opt in for
    virtio-gpu 3D acceleration.  Still, the option for virtio-gpu + 3D
    acceleration is offered in the virt-manager GUI, so having it broken by
    default is an important problem.
    (Closes: #916587)

  [ Christian Ehrhardt ]
  * [3997186] d/libvirt-daemon-system.maintscript: remove obsolete conffile
    /etc/logrotate.d/libvirtd.uml became obsolete since UML was dropped in
    libvirt 5.0 (Closes: #920574)
  * [c64d020] d/libvirt-daemon-system.libvirtd.default: clarify libvirtd_opts
    example (Closes: #921713)

  [ Guido Günther ]
  * [790365e] CVE-2019-3886: Don't allow unprivileged users to use the guest
    agent. Apply upstream patches
    remote-enforce-ACL-write-permission-for-getting-guest-tim.patch
    api-disallow-virDomainGetHostname-for-read-only-connectio.patch
    (Closes: #926418)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Apr 2019 12:36:21 +0200

libvirt (5.0.0-1) unstable; urgency=medium

  * [7346f30] New upstream version 5.0.0
  * [1c46a4c] Drop sheepdog support (Closes: #908071)
  * [b88175f] Bump symbol versions
  * [c13a8da] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 Jan 2019 10:31:33 +0100

libvirt (4.10.0-2) unstable; urgency=medium

  [ Marcin Juszkiewicz ]
  * [d143d3c] update Vcs-git tags to point to salsa.debian.org
  * [96995c1] Fix versions in *.NEWS files
  * [8e8286d] Don't mark bash completion as executable
  * [72f8ed3] Use multiarch layout.
    Based on the on what Ubuntu does (Closes: #813062)
  * [9b52c21] Use dpkg-buildflags on configure
    to e.g. get the proper hardening flags.

  [ Andrea Bolognani ]
  * [684bb89] Move data files from libvirt-daemon to libvirt0.
    These files are used internally by the library, so they
    should be shipped along with it rather than with the daemon.
    This is consistent with the upstream libvirt.spec file.
    The pattern is partially expanded in the libvirt0.install
    file to avoid having to remove a specific subset of data
    files later on as part of debian/rules.

  [ Guido Günther ]
  * [a6cbf92] cpu_map is now a directory.
    It used to be a single XML file

 -- Guido Günther <agx@sigxcpu.org>  Tue, 18 Dec 2018 12:55:10 +0100

libvirt (4.10.0-1) unstable; urgency=medium

  * [0cde44d] Remove bridge-utils from recommends.  We don't use brctl since
    ages.  Thanks to Andreas Henriksson
  * [3c22e06] Drop debian/remove-RHism.diff.patch.
    Debian has /usr/bin/service since quiet some time now.
    Thanks to Andrea Bolognani
  * [54a5cdb] New upstream version 4.10.0
  * [87f075c] Rediff patches
  * [f798585] Bump symbol versions
  * [3bfd881] Depend on sensible-utils

 -- Guido Günther <agx@sigxcpu.org>  Thu, 13 Dec 2018 11:58:14 +0100

libvirt (4.7.0-1) unstable; urgency=medium

  * [8ff38ac] New upstream version 4.7.0
    (Closes: #908341)
  * [afdd147] Bump symbol versions
  * [41fa8f5] Rediff patches.
    Drop all jansson related patches. Fixed ustream.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Sep 2018 21:42:33 +0200

libvirt (4.6.0-2) unstable; urgency=medium

  * [c33faee] Drop dwarves dependency.
    Unmaintained and only used in the test suite. (Closes: #905700)
  * [43da5ad] Don't use jansson for JSON encoding.
    It has borken integer parsing. This adds new patches:
        Revert-m4-Introduce-STABLE_ORDERING_JANSSON.patch
        Revert-Remove-virJSONValueNewStringLen.patch
        Revert-build-undef-WITH_JANSSON-for-SETUID_RPC_CLIENT.patch
        Revert-tests-qemucapsprobe-Fix-output-after-switching-to-.patch
        Revert-build-require-Jansson-if-QEMU-driver-is-enabled.patch
        Revert-util-jsoncompat-Stub-out-virJSONInitialize-when-co.patch
        Revert-Switch-from-yajl-to-Jansson.patch
        Revert-remote-daemon-Make-sure-that-JSON-symbols-are-prop.patch
        Revert-build-remove-references-to-WITH_YAJL-for-SETUID_RP.patch
        Revert-build-add-with-jansson.patch
        Revert-Remove-functions-using-yajl.patch
        Revert-build-switch-with-qemu-default-from-yes-to-check.patch
        Revert-tests-also-skip-qemuagenttest-with-old-jansson.patch
        Revert-util-avoid-symbol-clash-between-json-libraries.patch
    (Closes: #906116)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 Aug 2018 15:09:14 +0200

libvirt (4.6.0-1) unstable; urgency=medium

  * [afd5e39] d/control: Fix typo in libnss-libvirt's short description.
    Thanks to Salvatore Bonaccorso (Closes: #904738)
  * [f2f7871] New upstream version 4.6.0
  * [a81e098] Drop apparmor-Fix-forgotten-comma-at-EOL.patch applied upstream
  * [d53b4b1] Use jansson instead of yajl.  The later is no longer supported
    upstream
  * [bf99d36] Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 Aug 2018 21:54:45 +0200

libvirt (4.5.0-1) unstable; urgency=medium

  * [c2b3afc] New upstream version 4.5.0
  * [50aa257] Drop patch-qemuMonitorTextGetMigrationStatus-to-intercept.patch
    not needed with QEMU since at least stretch.
  * [7698a4e] Build-dep on libwiretap-dev for the wireshark dissector
  * [2390909] examples: adjust to libvirtd code move
  * [64e5530] Bump symbol versions
  * [a89e652] l-d-s: suggest open-iscsi (Closes: #903262)
  * [882c646] Install bash completion (Closes: #902450)
  * [8d79673] apparmor: Fix forgotten comma at EOL
  * [0a9cb25] Install storage-file drivers
  * [84269a2] Warn about uninstalled files

 -- Guido Günther <agx@sigxcpu.org>  Tue, 17 Jul 2018 09:36:26 +0200

libvirt (4.3.0-1) unstable; urgency=medium

  * [8730a15] New upstream version 4.3.0
  * [1272efc] Drop patches due to upstream code removal.
     Allow-xen-toolstack-to-find-it-s-binaries.patch
     debian/fix-Debian-specific-path-to-hvm-loader.patch
  * [20eb594] Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 May 2018 12:09:53 +0200

libvirt (4.2.0-3) unstable; urgency=medium

  * [78872cc] Ship logrotate snippets again (Closes: #895709)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 16 May 2018 07:54:29 +0200

libvirt (4.2.0-2) unstable; urgency=medium

  * [c859ce5] Prefer /sbin over /usr/sbin.
    If libvirt is built in a chroot with merged /usr it will otherwise break
    on non /usr merged systems. (Closes: #895145)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 08 Apr 2018 11:05:14 +0200

libvirt (4.2.0-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * [8d62a8c] Start admin sockets on installation (Closes: #893484)

  [ Guido Günther ]
  * [417534b] New upstream version 4.2.0 (Closes: #894985)
  * [9d7fa44] Bump symbol versions
  * [c23ed3d] Rediff patches.
    Applied upstream:
      lockd-fix-typo-in-virtlockd-admin.socket.patch
      CVE-2018-1064-qemu-avoid-denial-of-service-reading-from-Q.patch

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Apr 2018 12:33:30 +0200

libvirt (4.1.0-2) unstable; urgency=medium

  * [0b6cf2f] lockd: fix typo in virtlockd-admin.socket
    (Closes: #893330)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 Mar 2018 10:51:37 +0100

libvirt (4.1.0-1) unstable; urgency=medium

  * [3cbbfa5] New upstream version 4.1.0
  * [0e596b3] Bump symbol versions
  * [e886044] Drop patches applied upstream
    - apparmor-allow-libvirt-to-send-term-signal-to-unconfined.patch
    - virlog-determine-the-hostname-on-startup-CVE-2018-6764.patch
  * [097d74c] CVE-2018-1064: qemu: avoid denial of service reading from QEMU
    guest agent

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Mar 2018 08:25:29 +0100

libvirt (4.0.0-2) unstable; urgency=medium

  * [4339f02] CVE-2018-6764: virlog: determine the hostname on startup
    Closes: #889839

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Feb 2018 19:29:59 +0100

libvirt (4.0.0-1) unstable; urgency=medium

  * [5936904] New upstream version 4.0.0
  * [bcb7ca3] Drop patches applied upstream.
      Allow-libvirt-to-kill-unconfined-domains.patch
      Drop qemu-avoid-denial-of-service-reading-from-QEMU-monitor-CV.patch

 -- Guido Günther <agx@sigxcpu.org>  Sat, 20 Jan 2018 16:31:11 +0100

libvirt (4.0.0~rc2-1) experimental; urgency=medium

  * [8dd2f5b] Don't manage /etc/apparmor.d/local as conf files
    (Closes: #887612)
  * [0819e5a] apparmor: allow libvirt to send term signal to unconfined
  * [b1ecc1a] New upstream version 4.0.0~rc2
  * [7406ae5] CVE-2018-5748: qemu: avoid denial of service reading from QEMU
    monitor (Closes: #887700)
  * [564e232] Bump symbol versions
  * [0a274c0] d/control: use priority optional instead of extra

 -- Guido Günther <agx@sigxcpu.org>  Fri, 19 Jan 2018 12:54:54 +0100

libvirt (4.0.0~rc1-1) experimental; urgency=medium

  [ Guido Günther ]
  * [a225d2b] New upstream version 4.0.0~rc1
    (Closes: #881293, #846534)
  * [2270343] Rediff patches

  [ intrigeri ]
  * [89b8ab4] Allow libvirt to kill unconfined domains

  [ Christian Ehrhardt ]
  * [b2ce106] Clear more directories on purge
    (Closes: #884828)
  * [0cd10ab] Avoid apt seccomp issues due to libnss-libvirt
    (LP: #1732030)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 15 Jan 2018 09:44:37 +0100

libvirt (3.10.0-1) unstable; urgency=medium

  * [0d103b6] Bump standards version
  * [3eca017] Add russian debconf translation.
    Thanks to Lev Lamberov (Closes: #883109)
  * [04da2ca] New upstream version 3.10.0
  * [f311e52] Drop
    AppArmor-add-rules-needed-with-additional-mediation-featu.patch - fixed
    upstream
  * [0c7f363] Bump symbol versions
  * [cbe1699] Use recent debhelper instead of dh-systemd
  * [c757791] apparmor: Allow virt-aa-helper to access the name service switch.
    Thanks to Martin Pitt (Closes: #882979)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 05 Dec 2017 14:55:51 +0100

libvirt (3.9.0-1) unstable; urgency=medium

  * [eef697c] New upstream version 3.9.0

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Nov 2017 14:49:43 +0100

libvirt (3.9.0~rc1-1) experimental; urgency=medium

  * Upload to experimental
  * [23e28a0] New upstream version 3.9.0~rc1
  * [b19f9f8] Bump symbol versions
  * [83a3ff3] Drop patches applied upstream
    apparmor-add-dnsmasq-ptrace-rule-to-libvirtd-profile.patch
    virt-host-validate-require-fuse-for-LXC-if-compiled-in.patch
    qemu-ensure-TLS-clients-always-verify-the-server-certific.patch
  * [e834771] AppArmor: add rules needed with additional mediation features
    brought by Linux 4.14. Thanks: intrigeri
    (Closes: #879772)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Oct 2017 12:13:29 +0100

libvirt (3.8.0-3) unstable; urgency=medium

  * [e0e0a42] virt-host-validate: require fuse for LXC if compiled in.
    This should make us skip the lxc test properly on debci.
  * [d16ae50] Drop libvirt-bin upgrade handling
    libvirt-bin was dropped before Jessie
  * [3f18a26] CVE-2017-1000256: qemu: ensure TLS clients always verify the
    server certificate (Closes: #878799)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 16 Oct 2017 19:36:25 +0200

libvirt (3.8.0-2) unstable; urgency=medium

  * Upload to unstable
    Closes: #878153
  * [646a20f] apparmor: add dnsmasq ptrace rule to libvirtd profile

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Oct 2017 10:27:25 +0200

libvirt (3.8.0-1) experimental; urgency=medium

  * [842dee5] Add id-length to gbp.conf
  * [6cf2527] New upstream version 3.8.0

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Oct 2017 18:30:55 +0200

libvirt (3.8.0~rc1-1) experimental; urgency=medium

  * apparmor: add attach_disconnected
  * apparmor: cater for new AAVMF image location
  * Don't ship apparmor profiles in the doc package too.
    This is just confusing since things are installed in
    libvirt-daemon-system.
  * Drpo maintscript helpers for versions predating jessie and wheezy-backports
  * New upstream version 3.8.0~rc1
  * New upstream version 3.8.0~rc1
  * Rediff patches
    apparmor-cater-for-new-AAVMF-image-location.patch
    apparmor-delete-profile-on-VM-shutdown.patch
    apparmor-add-attach_disconnected.patch
  * Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Sep 2017 12:53:25 +0200

libvirt (3.7.0-4) unstable; urgency=medium

  * Pass-GPG_TTY-env-var-to-the-ssh-binary.patch: sanitize commit message
  * apparmor: add attach_disconnected (Closes: #876071)
  * apparmor: cater for new AAVMF image location
  * apparmor: delete profile on VM shutdown

 -- Guido Günther <agx@sigxcpu.org>  Mon, 18 Sep 2017 20:24:07 +0200

libvirt (3.7.0-3) unstable; urgency=medium

  * Move glusterfs, rbd, sheepdog and zfs storage drivers into separate
    packages.  This reduces the dependencies pulled into default
    installations.
    (Closes: #875834)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Sep 2017 14:09:31 +0200

libvirt (3.7.0-2) unstable; urgency=medium

  * Update copyright file

 -- Guido Günther <agx@sigxcpu.org>  Thu, 14 Sep 2017 12:16:47 +0200

libvirt (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0 (Closes: #874323)
  * Rediff patches
  * Bump symbol versions
  * Also pass $TERM to ssh so pinentry works
    Thanks to Guilhem Moulin (Closes: #843863)
  * Enable Gluster support (Closes: #755545)
  * Enable wireshark dissector (Closes: #862989)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Sep 2017 14:52:38 +0200

libvirt (3.6.0-1) unstable; urgency=medium

  * [ece8d56] New upstream version 3.6.0 (Closes: #870626)
  * [f807f7e] Move debianization patches to front of pq since these are
    unlikely to go away
  * [a06e5a6] Don't build nss on non-linux since it depends on network support
    which is not available on non-linux.
    Thanks to Pino Toscano (Closes: #867393)
  * [6982266] Enable esx support (Closes: #602807)
  * [2c29499] Bump symbol versions
  * [f974bd9] d/control: fix typo.
    Thanks to lintian
  * [d4f1521] Bump standards version to 4.0.0

 -- Guido Günther <agx@sigxcpu.org>  Fri, 04 Aug 2017 00:05:47 -0300

libvirt (3.5.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * [116cb98] New upstream version 3.5.0
  * [22f685c] Explicitly enable directory based storage backend.  We do so for
    the other storage backends as well.
  * [1619c0f] Ship storage backends
  * [b0f6946] New upstream version 3.5.0-rc2
  * [e0507a8] New upstream version 3.1.0
  * [603e376] New upstream version 3.1.0-rc2
  * [172bcdf,21aa1f3,0d45d3b] Bump symbol versions
  * [9c4dfe3] Dropped Disable-use-of-namespaces-by-default.patch: not needed,
    namespaces are now enabled
  * [7cb82a1] Add pt debconf translation.
    Thanks to Rui Branco (Closes: #858742)
  * [fcd509f] Remove defaults file on clean
  * [6b9ffbb] Build depend on libparted-dev to ease cross building
    Thanks to Helmut Grohne (Closes: #864671)
  * [849c8e2] Rediff patches.
    Dropped patches for things fixed upstream:
     CVE-2017-2635-qemu-Don-t-update-physical-storage-size-of-.patch
     apparmor-allow-usr-lib-qemu-qemu-bridge-helper.patchupstream
     virt-aa-helper-apparmor-allow-usr-share-OVMF-too.patch
     Allow-access-to-libnl-3-config-files.patch
     Dropped qemu-skip-QMP-probing-of-CPU-definitions-when-missing.patch
  * [a0cd0f0] Update key for upstream tarball verification

  [ Christian Ehrhardt ]
  * [8fa2c4f] Ship libvirt-admin.conf
  * [dd2991f] Ship default file for virtlockd
  * [aef2f3c] Ship libvirt-admin.conf (Closes: #863649)
  * [c3b6ff2] Ship default file for virtlockd (Closes: #863648)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Jul 2017 11:04:21 +0200

libvirt (3.0.0-4) unstable; urgency=medium

  * [2a23b23] qemu: skip QMP probing of CPU definitions when missing.
    Don't probe CPU definitions if we lack the monitor command. This
    unbreaks e.g. mips based VMs. (Closes: #85412)
  * [21bc332] apprarmor: unbreak lbvirt invoking qemu-bridge-helpers
    This makes VM creation in gnome-boxes work with apparmor enabled.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Mar 2017 11:20:13 +0100

libvirt (3.0.0-3) unstable; urgency=medium

  * [62ad289] Debianize virtlogd
  * [cb216b5] CVE-2017-2635: qemu: Don't update physical storage size of empty drives
    (Closes: #856313)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Feb 2017 20:07:41 +0100

libvirt (3.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * [8ce689d] Add pt_BR debconf translation.
    Thanks to Adriano Rafael Gomes (Closes: #852446)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 25 Jan 2017 07:04:08 +0100

libvirt (3.0.0-1) experimental; urgency=medium

  * [bf2fdf7] New upstream version 3.0.0
  * [95b1359] New upstream version 3.0.0-rc1
  * [57baa73] lxc smoketest: drop emulator path
    so it's simpler to reuse this on other distros to reproduce test
    failures.
    Thanks to Cedric Bosdonnat
  * [5be8cad] lxc: ensure libvirt_lxc and qemu-nbd move into systemd machine
    slice (Closes: #848317)
  * [5c36b50] nl debconf translation.
    Thanks to Frans Spiesschaert (Closes: #850737)
  * [458b927] Add Danish debconf translation.
    Thanks to Joe Dalton (Closes: #850872)
  * [cbe5cd0] Add fr debconf translation.
    Thanks to Alban VIDAL (Closes: #850938)
  * [7c3b026] Rediff patches.
    Dropped patches fixed upstream
      apparmor-pass-attach_disconnected.patch
      lxc-ensure-libvirt_lxc-and-qemu-nbd-move-into-systemd-mac.patch
      AppArmor-policy-support-merged-usr.patch
  * [baf4b1f] Bump symbol versions
  * [80ef821] Add de translation.
    Thanks to Markus Hiereth for the initial draft
  * [2be70b3] Work around lack of /dev/ptmx access in pbuilder
    test-posix_openpt-don-t-fail-on-EPERM.patch
    openpty-Skip-test-if-no-pty-is-available.patch
  * [43e4ddc] Disable use of qemu mount namespaces by default. The
    code is not complete yet.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Jan 2017 18:51:18 +0100

libvirt (2.5.0-3) unstable; urgency=medium

  * [ba9fcb8] Invoke db_stop.
    Thanks to Raphaël Halimi (Closes: #849201)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Dec 2016 16:18:12 +0100

libvirt (2.5.0-2) unstable; urgency=medium

  [ Guido Günther ]
  * Upload to unstable
  * [14eee94] Make debconf template translatable
  * [13afd29] Adjust doc-base due to new upstream doc layouer
  * [fd7c2bb] Skip any debconf prompting if user and group are already there
    to not interfere with existing intallations
  * [1afd876] Depend on iptables of firewalld (Closes: #846321)
  * autopkgtests cleanups. Thanks to Christian Ehrhardt
    (Closes: #848247)

  [ intrigeri ]
  * [d64731a] Apparmor fixes for merged /usr

  [ Mauricio Faria de Oliveira ]
  * [f4b33d0] Use a fixed uid/gid for libvirt-qemu usr to avoid permission
    issues on network filesystems like NFS. On new installations warn via
    debconf if uid/gid are already taken.
    (Closes: #844339)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Dec 2016 14:01:08 +0100

libvirt (2.5.0-1) experimental; urgency=medium

  * [691e163] New upstream version 2.5.0
  * [49e8842] Bump symbol versions
  * [babd7e4] Rediff patches. Dropped:
      Unbreak-rebuilding-docs-with-release-tarballs.patch: applied upstream
      configure-Prefer-usr-bin-over-bin-for-numad.patch: fixed upstream

 -- Guido Günther <agx@sigxcpu.org>  Wed, 07 Dec 2016 17:41:37 +0100

libvirt (2.4.0-3) unstable; urgency=medium

  * [9eda310] Depend on lsb-base
  * [c76b178] Make test failure fail the tests again on amd64.
    Thanks to Christian Ehrhardt for spotting this (Closes: #844511)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 07 Dec 2016 16:22:18 +0100

libvirt (2.4.0-2) unstable; urgency=medium

  * [f964983] Unbreak rebuilding docs with release tarballs (Closes: #842452)
  * [488910d] Enable numad support.
    Thanks to Guilhem Moulin (Closes: #843863)
  * [f792cd7] Pass GPG_TTY env var to the ssh binary.
    Thanks to Guilhem Moulin (Closes: #843863)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 15 Nov 2016 14:19:07 +0100

libvirt (2.4.0-1) unstable; urgency=medium

  * [abba3b7] New upstream version 2.4.0

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Nov 2016 13:20:46 +0100

libvirt (2.4.0~rc2-1) experimental; urgency=medium

  * [fccbb3e] New upstream version 2.4.0~rc2

 -- Guido Günther <agx@sigxcpu.org>  Tue, 01 Nov 2016 13:10:50 +0100

libvirt (2.4.0~rc1-1) experimental; urgency=medium

  * [eee8467] New upstream version 2.4.0~rc1
  * [a790aa0] autopkgtests: check capabilities
  * [ec65bfb] autopkgtests: libvirt-lxc needs libvirt-daemon-system while
    smoke does not
  * [8785b7c] autopkgtests: check daemon restart and virtlogd
  * [a7f386a] Bump symbol versions
  * [9c2333a] README.source: use gbp's boilerplate
  * [fd9aac5] Rediff patches.
    Dropped libvirt-guests-use-wants-instead-of-requires.patch: fixed upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 28 Oct 2016 13:45:57 +0200

libvirt (2.3.0-3) unstable; urgency=medium

  * [c77d29d] autopkgtests: add missing dependency on libvirt-clients

 -- Guido Günther <agx@sigxcpu.org>  Sun, 16 Oct 2016 16:14:45 +0200

libvirt (2.3.0-2) unstable; urgency=medium

  * [48f7eb0] libvirt-guests: use wants instead of requires to prevent
    libvirtd restarts affecting libvirt-guests

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Oct 2016 07:59:09 +0200

libvirt (2.3.0-1) unstable; urgency=medium

  * [512ba55] New upstream version 2.3.0

 -- Guido Günther <agx@sigxcpu.org>  Sat, 08 Oct 2016 10:06:09 +0200

libvirt (2.3.0~rc2-1) experimental; urgency=medium

  * [dc7e4d4] New upstream version 2.3.0~rc2

 -- Guido Günther <agx@sigxcpu.org>  Sun, 02 Oct 2016 18:13:56 +0200

libvirt (2.3.0~rc1-1) experimental; urgency=medium

  [ Riku Voipio ]
  * [439afb5] Run testsuite on arm architectures
    (Closes: #837995)

  [ Guido Günther ]
  * [6858d33] New upstream version 2.3.0~rc1
    (Closes: #835563)
  * [6c294c5] Bump symbol versions
  * [d7e6337] Rediff patches
  * [f9ce70a] Build with numctl on arm64.
    Thanks to dann frazier (Closes: #838949)
  * [4ab7ff4] build-test: add missing dep on pkg-config

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Sep 2016 10:02:12 +0200

libvirt (2.2.0-1) unstable; urgency=medium

  * [7772549] New upstream version 2.2.0~rc1
  * [915ae31] Dropped qemu-Fix-the-command-line-generation-... applied
    upstream
  * [fa79b1f] Bump symbol versions
  * [4e31006] New upstream version 2.2.0

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 Sep 2016 16:51:48 +0200

libvirt (2.1.0-2) unstable; urgency=medium

  * [297be03] Reload virtlogd on updates (Closes: #833745)
  * [ee7cd36] Enable zfs pool support (Closes: #827245)
  * [52ce8c2] Demote pm-utils to suggests.  We still need to port over the
    code to allow one to use systemd for the same functionality.
    (Closes: #748205)
  * [746e1cc] qemu: Fix the command line generation for rbd auth using aes
    secrets (Closes: #827164)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 19 Aug 2016 10:22:22 +0200

libvirt (2.1.0-1) unstable; urgency=medium

  * Upload to unstable
  * [f7ed747] New upstream version 2.1.0

 -- Guido Günther <agx@sigxcpu.org>  Wed, 03 Aug 2016 17:13:25 +0200

libvirt (2.1.0~rc1-1) experimental; urgency=medium

  * [8efff86] Ship virt-admin
  * [8e2f085] Ship libvirt nss plugin build for IP resolution of virtual
    machines
  * [ad4f7ff] New upstream version 2.1.0~rc1
  * [86c9db9] Rediff patches
  * [72d0ef5] Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Sun, 31 Jul 2016 15:10:19 +0200

libvirt (2.0.0-1) unstable; urgency=medium

  * [8fe8522] Build-Depend on libnuma-dev for ppc64 as well.  Thanks to Andrea
    Bolognani
  * [17113e4] gbp.conf: Use upstream/latest as upstream branch name as
    suggested by DEP14
  * [3364f65] New upstream version 2.0.0 (fixes CVE-2016-5008)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Jul 2016 17:54:01 +0200

libvirt (2.0.0~rc2-1) experimental; urgency=medium

  * [36968cf] Require build-essential for build-essential since we want to
    build some C code
  * [726a029] watch: Also look for xz compressed tarballs
  * [4df5501] New upstream version 2.0.0~rc1 (Closes: #827178)
  * [d868829] New upstream version 2.0.0~rc2
  * [ff61cde] Bump symbol versions
  * [e7e9ca8] Rediff patches.
      Dropped apparmor-Don-t-scrub-environment-of-virtlogd-process.patch:
      applied upstram
      Dropped debian/libsystemd.patch: libsystemd-dev is not used anymore
  * [903cbca] Switch b-d from libystemd to libdbus.
    It was only used for sd_notify which is now open coded in libvirt itself.
  * [7cdb8a8] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Jun 2016 23:21:02 +0200

libvirt (1.3.5-1) unstable; urgency=medium

  * [afaf26b] Add qemu:///session smoke test
  * [90ec8ff] Add lxc:/// smoke test
  * [411c4c9] apparmor: Don't scrub environment of virtlogd process
    to fix qemu:///session
  * [ca01064] New upstream version 1.3.5
  * [6a96655] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Jun 2016 13:36:13 +0200

libvirt (1.3.5~rc1-1) experimental; urgency=medium

  * [ac3021d] Include libnuma-dev as a build-dep for ppc64el.  Thanks to
    Fernando Seiti Furusato (Closes: #823516)
  * [d0b310e] New upstream version 1.3.5~rc1
  * [4218770] Rediff patches
  * [048b740] Bump symbol versions
  * [864b24a] Bump standards version - no source changes
  * [12c4356] control: Remove superfluous testuite field

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 May 2016 22:00:33 +0200

libvirt (1.3.4-1) unstable; urgency=medium

  * Upload to unstable
  * [92f6d72] New upstream version 1.3.4

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 May 2016 09:58:22 +0200

libvirt (1.3.4~rc2-1) experimental; urgency=medium

  * [ac464fb] Link to the compressed README.Debian (Closes: #822581)
  * [8ad2900] Enable numactl ppc64el suggested by Serge Hallyn
  * [6e52231] New upstream version 1.3.4~rc2

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 Apr 2016 16:24:53 +0200

libvirt (1.3.4~rc1-1) experimental; urgency=medium

  * Upload to experimental
  * [1dad4b5] New upstream version 1.3.4~rc1
  * [2caeb97] Rediff patches.
    Dropped
      Link-xen-driver-against-libxl.patch: Applied upstream
      qemu-support-virt-2.6-machine-type-on-arm.patch: Fixed upstream
  * [b683ac4] Bump symbol versions
  * [d33c384] Use https vcs-git URL
  * [a2be7db] Bump standards version, no source changes

 -- Guido Günther <agx@sigxcpu.org>  Wed, 27 Apr 2016 16:51:55 +0200

libvirt (1.3.3-2) unstable; urgency=medium

  * Upload to unstable
  * [64b60db] qemu: support virt-2.6 machine type on arm (Closes: #820952)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Apr 2016 08:44:14 +0200

libvirt (1.3.3-1) experimental; urgency=medium

  * [c0f0178] New upstream version 1.3.3
  * [96c6ccb] Link-xen-driver-against-libxl.patch: use version applied
    upstream
  * [ee7a90c] Dropped apparmor-monitor-socket-moved.patch: fixed upstream

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 Apr 2016 09:00:27 +0200

libvirt (1.3.3~rc2-1) experimental; urgency=medium

  * [b6de71c] Make sure the cgroup update notice is also shown in backports
  * [aec93e0] New upstream version 1.3.3~rc2

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Apr 2016 15:39:15 +0200

libvirt (1.3.3~rc1-1) experimental; urgency=medium

  [ Philipp Hahn ]
  * [efe13a0] docs: Forward port qemu-bridge-helper docs from Jessie

  [ Guido Günther ]
  * [51c7ba3] New upstream version 1.3.3~rc1
  * [0ca24ff] Add script to bump symbol versions
  * [d028e7a] Bump symbol versions
  * [ecc2a6b] Rediff patches
  * [fb2298c] Link xen driver against libxl to avoid test failure
  * [c972ddb] Drop debug package in favour of the autogenerated dbgsym
    packages
  * [4e4d9ba] apparmor: qemu monitor socket moved so allow this path too

  [ Pino Toscano ]
  * [110db68] Enable policykit and qemu for all architectures (Closes: #819298)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 31 Mar 2016 16:16:38 +0200

libvirt (1.3.1-2) unstable; urgency=medium

  * [d455289] Move bug-presbj to libvirt-daemon-system since libvirt-bin will
    go away
  * [961c93d] Drop libvirt-bin transitional package

 -- Guido Günther <agx@sigxcpu.org>  Fri, 19 Feb 2016 17:29:27 +0100

libvirt (1.3.1-1) unstable; urgency=medium

  [ Guido Günther ]
  * [4f04c2c] New upstream version 1.3.1

  [ Simon McVittie ]
  * [a0b3e59] Add a patch to make virt-aa-helper allow reading the new location of OVMF firmware
    (Closes: #812069)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 Jan 2016 13:37:18 +0100

libvirt (1.3.1~rc2-1) experimental; urgency=medium

  * [229fb59] New upstream version 1.3.1~rc2
  * [cdf443a] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Jan 2016 11:58:51 +0100

libvirt (1.3.1~rc1-1) experimental; urgency=medium

  * [369ed73] New upstream version 1.3.1~rc1
  * [30da6b1] Drop patches applied upstream.
      CVE-2015-5313-storage-don-t-allow-in-filesystem-volume-na.patch
      test-qemuxml2argv-Mock-virMemoryMaxValue-to-remove-32-64-.patch
  * [2580afb] Bump symbol versions
  * [d7010ed] Use canonical VCS URL.
    Thanks Lintian

 -- Guido Günther <agx@sigxcpu.org>  Wed, 13 Jan 2016 22:32:09 +0100

libvirt (1.3.0-2) unstable; urgency=medium

  * [836190e] Avoid duplicates in package descriptions. Thanks lintian
  * [9f29e58] Remove unused pycompat
  * [e89c059] test: qemuxml2argv: Mock virMemoryMaxValue to remove 32/64 bit
    difference to fix the testsuite on i386

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Jan 2016 00:04:12 +0100

libvirt (1.3.0-1) unstable; urgency=medium

  * Upload to unstable
  * [15df303] New upstream version 1.3.0
  * [4fb53c7] CVE-2015-5313: storage: don't allow '/' in filesystem volume names

 -- Guido Günther <agx@sigxcpu.org>  Thu, 17 Dec 2015 08:16:31 +0100

libvirt (1.3.0~rc2-1) experimental; urgency=medium

  * [6854045] New upstream version 1.3.0~rc2

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Dec 2015 21:25:40 +0100

libvirt (1.3.0~rc1-1) experimental; urgency=medium

  * [ae8211f] New upstream version 1.3.0~rc1
  * [2721bee] Run build-tests with libvirt-dev only to make sure we have
    everything in the dev packages
  * [f4cbf4a] Drop patches applied upstream:
      Disable-service-timeout-for-libvirt-guests.patch
      qemu-Handle-default-IDE-controller-on-other-machine-types.patch
  * [bf1a167] Bump symbol versions
  * [f8eb83b] Create dir for doc generation and depend on xsltproc for it
  * [9d46b57] Don't ship virt-admin yet, it's still in development upstream
  * [71d0f8b] Ship virtlogd
  * [02cd930] Override dh_install-arch instead of dh_install (Closes: #806064)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 04 Dec 2015 17:12:53 +0100

libvirt (1.2.21-2) unstable; urgency=medium

  * [014a0c7] Add a build test to verify that the we can link against libvirt
  * [37efced] Disable service timeout for libvirt-guests (Closes: #803714)
  * [ae65b71] qemu: Handle default IDE controller on other machine types as well
    (Closes: #805189)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 23 Nov 2015 18:00:59 +0100

libvirt (1.2.21-1) unstable; urgency=medium

  * [6e075d2] New upstream version 1.2.21

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Nov 2015 06:31:58 +0100

libvirt (1.2.21~rc1-1) experimental; urgency=medium

  * Upload to experimental
  * [42946f7] New upstream version 1.2.21~rc1
  * [6b46089] Update Vcs-Browser URL
  * [789630d] Bump symbol versions
  * [af1af23] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Sat, 31 Oct 2015 23:58:43 +0100

libvirt (1.2.20-1) unstable; urgency=medium

  * [6eb4fb6] Don't use current user, hostname and build time but parse
    debian/changelog instead to work towards reproducibility.
    Thanks to Ben Hutchings for pointing this out
  * [3c9129d] Drop Disable-tests-affected-by-broken-libxml2.patch we have a
    fixed libxml2 in unstable again.
  * [96ec9e5] Use daemon log facility for journald (Closes: #799633)
  * [a4989de] New upstream version 1.2.20
  * [8109247] Bump symbol versions
  * [c0ad561] Rediff patches.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 14 Oct 2015 17:53:08 +0200

libvirt (1.2.19-1) unstable; urgency=medium

  * [8264435] New upstream version 1.2.19
  * [0061284] Rediff patches
  * [4dcd1f0] Drop apparmor-Adjust-path-to-domain-monitor-socket.patch applied
    upstream
  * [ec4de6a] Move README.Debian to libvirt-daemon
    libvirt-bin is a transitional package.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 Sep 2015 19:10:03 +0200

libvirt (1.2.19~rc1-1) experimental; urgency=medium

  * [6b88e35] New upstream version 1.2.19~rc1
  * [f525b78] Remove doc generation workaround introduced in
    659882f5a236a901fdb090a88af20eed4b2642c7. We fixed this properly upstream.
  * [a94f6c2] Use qemu-bridge-helper autodetection that we implemented
    upstream instead of hardcoding it.
  * [6fe9265] Don't hardcode private libvirt-admin symbols but use the
    autogeneration we implemented upstream.
  * [761db17] Rediff patches.
    Dropped virNetSocketCheckProtocols-handle-EAI_NONAME-as-IPv6.patch:
    applied upstram
  * [4569b2a] Bump symbol versions
  * [ac3f8d3] Disable tests affected by broken libxml2
  * [08f2ffa] apparmor: Adjust path to domain monitor socket

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Aug 2015 18:33:06 +0200

libvirt (1.2.18-2) unstable; urgency=medium

  * [54daa55] Add Breaks for older systemd.
    These make us end up in the wrong parts of the cgroup hierarchy so we
    won't find our lxc instances after restart. This could likely be fixed
    in libvirt but forcing the newer version at least makes us not break
    running containers. (Closes: #774237)
  * [2caf1bb] Fix path to qemu-bridge-helper (Closes: #790935)
  * [77dcc1a] README.Debian: remove xend bits were using libxl now
  * [1b01f3f] Enable xen on armhf and amd64. Based on a patch by Yann
    Soubeyrand (Closes: #795516)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Aug 2015 17:59:27 +0200

libvirt (1.2.18-1) experimental; urgency=medium

  [ Guido Günther ]
  * [18ffe0c] New upstream version 1.2.18
  * [56eac6e] New upstream version 1.2.17~rc1
  * [c656180,af739f0] Bump symbol versions
  * [dd37716,88466c7] Rediff patches
  * [9135e2e] Use upstreams polkit rule.
    As of 1.2.16 upstream ships a Polkit rule like Debian does.
  * [9958a7f] Use systemctl is-active to check if virtlockd is running.
    This is less heavyweight as status.
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #787973)
  * [6620081] Drop Don-t-fail-if-we-can-t-setup-avahi.patch
    not needed anymore
  * [aa77bd8] Allow access to libnl-3 config files (Closes: #786650)
  * [fda50ec] Use dh-autoreconf
  * [659882f] Create dir for doc generation and depend on xsltproc for it
  * [e894ae7] virNetSocketCheckProtocols: handle EAI_NONAME as IPv6 unavailable.
  * [b1467e1] Add libvirt-admin shared library

  [ Felix Geyer ]
  * [2f59533] Use dh-apparmor.
    This makes sure we load the profiles after installing the package
    (Closes: #792426)

  [ Michael Biebl ]
  * [5409dc1] Transition to libsystemd (Closes: #779775)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Aug 2015 21:19:43 +0200

libvirt (1.2.16-2) unstable; urgency=medium

  * [0266267] Build-Depend and suggest nfs-common
    for showmount
    Thanks to Laurent Bigonville (Closes: #787783)
  * [a48c783] Build depend on libpolkit-gobject-1-dev
    to properly detect uid support in pkcheck.
    Thanks to Laurent Bigonville (Closes: #787782)
  * [3d0fe35] Enable firewalld support.
    Thanks to Laurent Bigonville (Closes: #714372)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Jun 2015 10:12:28 +0200

libvirt (1.2.16-1) unstable; urgency=medium

  * Upload to unstabl
  * [50e9055] New upstream version 1.2.16

 -- Guido Günther <agx@sigxcpu.org>  Wed, 03 Jun 2015 08:44:53 +0200

libvirt (1.2.16~rc2-3) experimental; urgency=medium

  * [6d22215] Fix one more libxl leftover

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Jun 2015 08:49:50 +0200

libvirt (1.2.16~rc2-2) experimental; urgency=medium

  * [132348d] Only install libxl configuratin on hosts that support XEN

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 May 2015 13:39:22 +0200

libvirt (1.2.16~rc2-1) experimental; urgency=medium

  * [540f826] New upstream version 1.2.16~rc2

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 May 2015 17:26:00 +0200

libvirt (1.2.16~rc1-1) experimental; urgency=medium

  * [d17b3cb] Add libxl configuration files
  * [24520fd] Update gbp.conf for experimental
  * [29c488b] New upstream version 1.2.16~rc1
  * [281585c] Rediff patches.
    Dropped patches fixed upstream:
        caps-Fix-regression-defaulting-to-host-arch.patch
  * [5e4d9b7] Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 May 2015 10:43:34 +0200

libvirt (1.2.15-2) unstable; urgency=medium

  * Upload to unstable
  * [2b23d7f] Add missing "Testsuite: autopkgtest"
  * [57a9e63] caps: Fix regression defaulting to host arch

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 May 2015 18:27:06 +0200

libvirt (1.2.15-1) experimental; urgency=medium

  * [bf201a6] New upstream version 1.2.15
  * [84ae1fc] Switch gbp.conf to sid

 -- Guido Günther <agx@sigxcpu.org>  Tue, 05 May 2015 19:26:21 +0200

libvirt (1.2.15~rc2-1) experimental; urgency=medium

  * [852e3c3] New upstream version 1.2.15~rc2

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 May 2015 15:14:40 +0200

libvirt (1.2.15~rc1-1) experimental; urgency=medium

  * [a544fac] New upstream version 1.2.15~rc1
  * [a40d4d3] Bump symbol versions
  * [7d4f947] Rediff patches
  * [39deec1] Update gbp.conf for experimental

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 Apr 2015 08:41:46 +0200

libvirt (1.2.14-3) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Apr 2015 11:19:39 +0200

libvirt (1.2.14-2) experimental; urgency=medium

  * [51ba06c] Allow testsuite to output to stderr
    since we run the script with -x.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 13 Apr 2015 13:17:19 +0200

libvirt (1.2.14-1) experimental; urgency=medium

  * [0a436be] New upstream version 1.2.14

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Apr 2015 13:11:20 +0200

libvirt (1.2.14~rc2-1) experimental; urgency=medium

  * [46cb100] New upstream version 1.2.14-rc2
  * [e4fcc35] Bump symbol versions
  * [e55a86f] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Apr 2015 21:27:52 +0200

libvirt (1.2.13-1) experimental; urgency=medium

  * [5a5a046] New upstream version 1.2.13
  * [6c65940] Bump symbol versions
  * [5755363] Rediff patches
    This reverts commit 35a256363958bd452cafdfcadec9626b2ce6df45.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 10 Mar 2015 00:01:52 +0100

libvirt (1.2.12-1) experimental; urgency=medium

  * [06f42f7] New upstream version 1.2.12
  * [26b55b3] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Jan 2015 11:02:21 +0100

libvirt (1.2.12~rc2-1) experimental; urgency=medium

  * [67f2b22] New upstream version 1.2.12~rc2
    (Closes: #776065)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 25 Jan 2015 13:02:59 +0100

libvirt (1.2.12~rc1-1) experimental; urgency=medium

  * [994d31d] Bump standards version to 3.9.6
    no changes required
  * [7b59a26] New upstream version 1.2.12~rc1
  * [0a755e3] Dropped patches applied upstram.
        lxc-Don-t-crash-on-NULL-ifname_guest_actual.patch
        lxc-Move-setting-ifname_guest_actual-to-virLXCSetupI.patch
    Rediff remaining patches.
  * [9511acf] Document surprises on CPU microcode updates (Closes: #773706)
  * [3e325df] Install lock drivers (Closes: #773706)
  * [970de51] Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Jan 2015 12:26:54 +0100

libvirt (1.2.11-1) experimental; urgency=medium

  * [1377d56] lxc: Fix crash when using interface type 'direct'
    (Closes: #769600) Thanks to Bastian Blank for the patch
  * [88f9426] Adjust gbp.conf for experimental
  * [0b196d9] New upstream version 1.2.11
  * [113b58b] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Thu, 22 Jan 2015 10:29:41 +0100

libvirt (1.2.11~rc1-1) experimental; urgency=medium

  * [8c5ba09] Rediff patches.
    Dropped
         allow-libxl-to-find-default-path-to-pygrub.patch: fixed upstram
         CVE-2014-7823-dumpxml-security-....patch: fixed upstream
         util-Prepare-URI-formatting-for-libxml2-2.9.2.patch: fixed upstream
  * [bdb5692] Bump symbol versions

 -- Guido Günther <agx@sigxcpu.org>  Thu, 11 Dec 2014 08:15:24 +0100

libvirt (1.2.10-1) experimental; urgency=medium

  * [87bcfc8] New upstream version 1.2.10
  * [214d446] CVE-2014-7823: dumpxml: security hole with migratable flag
    (Closes: #769149)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 12 Nov 2014 07:44:24 +0100

libvirt (1.2.10~rc2-1) experimental; urgency=medium

  * [7e3dbba] New upstream version 1.2.10~rc2
  * [a0832bc] Check if the directories exist before removing them. rmdir
    returns nonzero otherwise and this is more strict than just using || true.
    (Closes: #767672)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 02 Nov 2014 12:10:23 +0100

libvirt (1.2.10~rc1-1) experimental; urgency=medium

  * Upload to experimental
  * [360da79] New upstream version 1.2.10-rc1
  * [aba073c] Rediff patches.
    Dropped Use-sensible-editor-...patch: Configurable now
    Dropped qemu-use-systemd-s-TerminateMachine-...patch: Applied upstream
  * [f739a80] Configure use of sensible-editor via ./configure
  * [4f5511b] Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 Oct 2014 09:53:20 +0100

libvirt (1.2.9-10) unstable; urgency=medium

  * [f5e46fb] postinst: Use '--' for all adduser options
  * [a8fee3f] Don't validata filesystem target type.  Since 'virsh' validates
    XML this can lead to uneditable (but perfectly valid) configs.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Apr 2015 11:29:47 +0200

libvirt (1.2.9-9) unstable; urgency=medium

  * [4c14b83] qemu: Don't try to parse -help for new QEMU.
    Closes: #777138, #775773
    Thanks to Mathieu Malaterre for the debugging
  * [1addae5] Force capability refresh on upgrades. This makes sure we
    refresh the capabilities at least once when upgrading from Wheezy.
    (Closes: #731815)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Feb 2015 15:40:21 +0100

libvirt (1.2.9-8) unstable; urgency=medium

  * [885f33d] Fix CVE-2015-0236.
    Patches cherry-picked from upstream (Closes: #776065)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Jan 2015 19:01:40 +0100

libvirt (1.2.9-7) unstable; urgency=medium

  * [d7df883] CVE-2014-8131: Fix possible deadlock and segfault in
    qemuConnectGetAllDomainStats()
    (Closes: #773858)
  * [d0085e0] qemu: bulk stats: Fix logic in monitor handling
  * [b5e081c] CVE-2014-8135: storage: fix crash caused by no check return
    before set close
    (Closes: #773855)
  * [a5452de] CVE-2014-8136: qemu: migration: Unlock vm on failed ACL check in
    protocol v2 APIs
    (Closes: #773856)
  * [5aaafc9] qemu: Fix crash in tunnelled migration (Closes: #773503)
  * [87b3713] lxc: Fix crash when using interface type 'direct'
    Thanks to Bastian Blank for the patch (Closes: #769600)
  * [17807c0] Document surprises on CPU microcode updates (Closes: #773706)
  * [66a3ca6] Install lock drivers (Closes: #773706)
  * [f6ffda7] vbox: fix a bug in _machineStateInactive (Closes: #770202)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 24 Dec 2014 10:33:31 +0100

libvirt (1.2.9-6) unstable; urgency=medium

  * [9779548] Add a python build-dependency for the docs build
    (Closes: #770775)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Nov 2014 18:47:42 +0100

libvirt (1.2.9-5) unstable; urgency=medium

  [ Guido Günther ]
  * [5c47e64] Pre-Depend on init-system-helpers.
    Thanks to intrigeri and Bastien ROUCARIES (Closes: #769551, #766362)
  * [9aa75f7] util: Prepare URI formatting for libxml2 >= 2.9.2
    (Closes: #769653)

  [ Ian Campbell ]
  * [bfe835f] Specify "pygrub" by default for libxl backend guests.
    Using an absolute path prevents libxl from providing the correct
    default. (Closes: #770485)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Nov 2014 14:57:13 +0100

libvirt (1.2.9-4) unstable; urgency=medium

  * [4cdad47] Allow backported versions of dh-systemd
  * [fb4bf47] Add suggests to libvirt-daemon-system to libvirt-daemon
    (Closes: #767343)
  * [e4f03ca] Check if the directories exist before removing them
    rmdir returns nonzero otherwise and this is more strict than just using
    || true. (Closes: #767672)
  * [030fd97] CVE-2014-7823: dumpxml: security hole with migratable flag
    (Closes: #769149)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 12 Nov 2014 08:11:17 +0100

libvirt (1.2.9-3) unstable; urgency=medium

  * [28dd361] Remove obsolete conffiles in libvirt-bin too. Depending on the
    upgrade path they can belong to either libvirt-bin or
    libvirt-daemon-system. (Closes: #764679)
  * [de9dcf9] Move polkit rule to /u/s/polkit-1/rules.d/
    since /e/polkit-1 is for admin changes (Closes: #764826)
  * [114d777] Remove unused python files. We split out libvirt-python ages
    ago.
  * [3a06d85] Add rules for older policy kit (as in jessie/sid).
    Thanks to Török Edwin, Wolodja Wentland and Michael Biebl
    (Closes: #765346)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 Oct 2014 18:34:38 +0200

libvirt (1.2.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Oct 2014 21:13:17 +0200

libvirt (1.2.9-1) experimental; urgency=medium

  * [2d120a7] New upstream version 1.2.9
  * [0f86acd] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Oct 2014 07:24:28 +0200

libvirt (1.2.9~rc2-1) experimental; urgency=medium

  * [8707039] New upstream version 1.2.9~rc2
  * [79ae3d2] Rework patches.
    Dropped
        qemu-remove-capabilities.....patch: applied upstream
  * [c64dc81] qemu: use systemd's TerminateMachine to kill all processes
    (Closes: #761521)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Sep 2014 20:47:46 +0200

libvirt (1.2.9~rc1-1) experimental; urgency=medium

  * [063cc84] New upstream version 1.2.9~rc1
  * [42079a5] Rework patches.
    Dropped
        security/CVE-2014-3633-....patch: applied upstream
  * [d72bb99] Bump symbol versions
  * [7359fcb] Add simple smoke test using the test:///default driver
  * [da11813] Use polkit instead of socket permissions.  As before membership
    in the libvirt group gives r/w access to all VMs.
  * [98cdfca] Allow for libvirt's socket activation. Now that we're using
    polkit by default having the rw socket mode 0777 is fine.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 28 Sep 2014 10:59:28 +0200

libvirt (1.2.8-3) unstable; urgency=medium

  * [9e3d695] Don't ship the socket activation file until we switched to
    polkit and we can therefore ignore socket permissions. (Closes: #762606)
  * [a32e72e,4eb67f4] Clean up capabilities and possibly empty dirs
    (Closes: #761131)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 25 Sep 2014 12:08:51 +0200

libvirt (1.2.8-2) unstable; urgency=medium

  * [7b0894e] Debianize virtlockd unit file
  * [2c522fd] Tag Debian specific patches as such
  * [e1e734b] CVE-2014-3633: qemu: blkiotune: Use correct definition when
    looking up disk. Thanks to Peter Krempa (Closes: #762203)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Sep 2014 08:53:01 +0200

libvirt (1.2.8-1) experimental; urgency=medium

  * [e55688b] New upstream version 1.2.8
    (Closes: #760510)
  * [daa5c92] New upstream version 1.2.8~rc2
  * [7f85d5e] Bump symbol versions
  * [ea29953] Rediff patches.
    Drop patches appplied upstream:
        Don-t-fail-qemu-driver-intialization-if-we-can-t-det.patch
        Include-param.h-on-kFreeBSD.patch
        Make-uri-command-a-bit-more-prominent.patch
  * [4633967] Verify tarball signature

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Sep 2014 19:56:50 +0200

libvirt (1.2.7-11) unstable; urgency=medium

  * [6534478] Check status in a systemd 208 compatible way
    systemd 204 returned 0 when trying to reload a not running service but
    208 changed behaviour. So use status instead of is-enabled.
    Thanks to Neutron Soutmun for his feedback (Closes: #758688)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 24 Aug 2014 10:54:26 +0200

libvirt (1.2.7-10) unstable; urgency=medium

  * [d319f15] Only reexec virtlockd if enabled (Closes: #758688)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 21 Aug 2014 16:34:36 +0200

libvirt (1.2.7-9) unstable; urgency=medium

  * [1c2c5ee] Don't let dh_systemd_start guess the package to act on
    (Closes: #758552)
  * [ab79901] Don't restart libvirt-guests when using systemd so it's
    consistent with sysvinit. We'd restart VMs on package upgrads otherwise.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 19 Aug 2014 09:59:47 +0200

libvirt (1.2.7-8) unstable; urgency=medium

  * [d98aa3b] Fix wrong relation in preinst.
    Thanks to Laurent Bigonville (Closes: #758136)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 14 Aug 2014 21:06:45 +0200

libvirt (1.2.7-7) unstable; urgency=medium

  * [42dbd16] Skip more linux specific stuff on kFreeBSD
  * [a2ff23f] Don't restart virtlockd on upgrade virtlockd must be reloaded so
    it reexecs itself. (Closes: #757453)
  * [4914adc] Use symlinks for upstream changelog.  This safes 1.9M per
    package
  * [3583f4b] Don't fail qemu driver intialization if we can't determine
    hugepage size.  Thanks to a lot to Jamie Heilman for testing it
    (Closes: #757609)
  * [3b23724] Make 'uri' command a bit more prominent. (Closes: #688778)
  * [63e7e51] Also stop libvirt-bin in libvirt-bin's preinst.
    When libvirt-daemon-system's preinst runs the new libvirt-bin might
    already be unpacked and therefore the libvirt-bin service file already
    gone. So additionally stop libvirt-bin in libvirt-bin's preinst.
    (Closes: #757952)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 13 Aug 2014 21:50:07 +0200

libvirt (1.2.7-6) unstable; urgency=medium

  * [5e39138] Don't provide libvirt-bin via LSB headers.
    This avoids a conflict when /e/i/libvirt-bin and /e/i/libvirtd
    are around at the same time during dpkg's configure phase and
    both init scripts Provide: libvirt-bin.
    (Closes: #757330)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Aug 2014 17:58:36 +0200

libvirt (1.2.7-5) unstable; urgency=medium

  * [06d457c] Bump comparison version so this applies to current failed
    upgrades too.
  * [bdae16d] Remove another obsolete conffile (Closes: #757332)
  * [2f486c5] Don't try to stop libvirt-bin if it's already gone
    (Closes: #757407)
  * [a9643a0] Remove another obsolete conffile (Closes: #757332)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 Aug 2014 23:21:39 +0200

libvirt (1.2.7-4) unstable; urgency=medium

  * [5e71896] Move networking configuration to libvirt-daemon-system too
  * [32eea48] Remove left over empty directory
  * [b3a2735] Also purge libvirt-bin.service on new installations.
    The old service file was in libvirt-bin so we need to remove it when
    libvirt-daemon-service is first installed (as we did before when
    the whole code was in the postinst).
    Thanks to Laurent Bigonville for the analysis (Closes: #757293)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 Aug 2014 10:57:53 +0200

libvirt (1.2.7-3) unstable; urgency=medium

  * Upload to unstable
  * [f634d53] Don't try to install qemu configuration on kFreeBSD.
    QEMU support on kFreeBSD support is currently disabled due to test
    failures.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Aug 2014 20:28:05 +0200

libvirt (1.2.7-2) experimental; urgency=medium

  * [ebfec9b] Don't try to install lxc.conf on kFreeBSD.
    Another kFreeBSD build fix

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Aug 2014 14:10:57 +0200

libvirt (1.2.7-1) experimental; urgency=medium

  * [65e69d3] New upstream version 1.2.7
  * [d615910] Don't try to install virt-login-shell on non-linux.
    It's LXC only. This fixes the build failure on kFreeBSD.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 Aug 2014 19:20:26 +0200

libvirt (1.2.7~rc2-1) experimental; urgency=medium

  [ Guido Günther ]
  * [16575d9] New upstream version 1.2.7~rc2
  * [bc785a7] Drop left over libvirt-bin references.
    Fixes more leftovers of #730604.
  * [ca64c62] Rediff patches
  * [998e7d4] Update symbols file
  * [06cf7b4] Make sure libvirt-bin versioned dependencies are recent enough

  [ Laurent Bigonville ]
  * [daf46fe] Stop the daemon in the preinst script instead of the postinst
    one when renaming the .service file as it now contains the
   "Restart=on-failure" option and blindly killing the daemon is not working
   anymore.  This completes the fix for #730604

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Aug 2014 10:52:57 +0200

libvirt (1.2.6-2) experimental; urgency=medium

  * [501afad] Update copyright information

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Jul 2014 08:55:26 +0200

libvirt (1.2.6-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * [4c4977e,87fc2db] Rename libvirt-bin.service back to libvirtd.service
    and use symlink or Alias= instead. This is what upstream uses.
    (Closes: #730604)

  [ Guido Günther ]
  * Upload to experimental
  * [9321997] Drop build-dep on hal-dev too (Closes: #710195)
  * [899c1d3] New upstream version 1.2.5
  * [34d54b9] Refresh patches.
    Dropped, fixed upstream:
       LSN-2014-0003-Don-t-expand-entities-when-parsing-XML.patch
  * [12e5468] Update symbols file
  * [8ae2cf5] Depend on gnutls/gcrypt explicitly (Closes: #753121)
  * [8881fe5] Recommend iproute2 instead of iproute (Closes: #753713)
  * [ab710a4] New upstream version 1.2.6
  * [a23d7fc] Rediff patches
  * [e6c037b] Bump symbol versions
  * [7ca6a8a] Split out daemon configuration (Closes: #679074)
  * [60ec538] Cleanup old conffile (Closes: #748720)
  * [cc59dd4] Provide build and packager information (Closes: #753306)
  * [74baa7e] Use sensible-editor as fallback.
    Based on a patch by Dmitry Smirnov (Closes: #594444)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 22 Jul 2014 22:33:51 +0200

libvirt (1.2.4-3) unstable; urgency=medium

  * [b0b7359] Don't pretend kFreeBSD supports linux only features.  So far we
    worked around missing kFreeBSD features by creating empty dirs this looks
    bad on the target systems and makes us maintain things in debian rules and
    *.install. Explicitly invoke dh_install in debian/rules instead.
    Closes: #747658

 -- Guido Günther <agx@sigxcpu.org>  Sat, 10 May 2014 22:23:06 +0200

libvirt (1.2.4-2) unstable; urgency=medium

  * [8bcbf97] Only linux has apparmor (Closes: #747565)
  * [0fa7624] Disable tests requiring filesystem attributes since they seem to
    fail on the buildd (Closes: #747565)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 10 May 2014 15:38:57 +0200

libvirt (1.2.4-1) unstable; urgency=medium

  * [b38846c] New upstream version 1.2.4
  * [f8d48c5] Drop.
        tests-Only-use-privileged-mode-if-Qemu-user-and-grou.patch
    applied upstream
  * [8388a28] Disable hal on all architectures (Closes: #710195)
  * [726b0bb] LSN-2014-0003: Don't expand entities when parsing XML

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 May 2014 10:59:18 +0200

libvirt (1.2.4~rc2-1) experimental; urgency=medium

  * [1190eb8] New upstream version 1.2.4~rc2
  * [382f71a] Bump symbol versions
  * [278d3b6] Rebase patches.
    Dropped
        libvirt-guests-avoid-bashism.patch
        tests-Don-t-crash-when-creating-the-config-object-fa.patch
    fixed upstream
    Modified:
        tests-Only-use-privileged-mode-if-Qemu-user-and-grou.patch
    to better suite upstream.
  * [057fc1d] Add more build-deps so we can run more test during "make check"
  * [7f310c8] More verbose test output
  * [5be4d5e] Include bug-presubj to request some more data on bug reports.
  * [6bd3b3e] Stab at a build fix for kFreeBSD

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 May 2014 14:08:24 +0200

libvirt (1.2.3-1) experimental; urgency=medium

  * [aa5cd19] /etc/init.d/libvirt-guests: source /lib/lsb/init-function.
    This make sure we redirect calls to systemctl correctly
    Thanks to Laurent Bigonville (Closes: #739082)
  * [9be0bf9] Remove old restart handling code from postinst.
    This brings the dh_installinit calls in line with the dh_systemd_start
    calls.
    Thanks to Laurent Bigonville (Closes: #739096)
  * [9c408f9] New upstream version 1.2.2. Fixes CVE-2013-6456
    (Closes: #741276, #732394)
  * [e2f0077] Bump symbols versions
  * [c7bf776] Update patches.
    Dropped
      xen-fix-parsing-xend-http-response.patch - applied upstream
  * [cca8c1e] New upstream version 1.2.3
  * [11ad777] New patch Skip-vircgrouptest.patch.
    Skip vircgrouptest since the sys emulating code isn't complete and fails
    in our /sys free chroot.
  * [448ab8c] Build-depend on libsystemd-daemon-dev on linux
  * [66f2a93] Refresh patches
  * [3038786] Fix test failures
  * [bbed2fd] Depend on libattr1-dev for selinux tests
  * [659fc63] Bump symbol versions
  * [618b64f] Adjust systemd installation to upstream changes
  * [1850e36] Bump standards version
  * [e934847] libvirt-guests: avoid bashism

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Apr 2014 12:15:02 +0200

libvirt (1.2.1-2) unstable; urgency=medium

  * [e936a7e] Document libvirt user capabilities
  * [94096c9] xen: fix parsing xend http response.  This unbreaks xen on
    wheezy.
    Thanks to Jim Fehlig
  * [fb06860] Install virt-aa-helper for apparmor

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Jan 2014 07:42:22 +0100

libvirt (1.2.1-1) unstable; urgency=medium

  * Upload to unstable
  * [22e83d7] New upstream version 1.2.1.
    Fixes CVE-2014-0028, CVE-2014-1447, CVE-2013-6457
    (Closes: #735676)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Jan 2014 06:16:29 +0100

libvirt (1.2.1~rc2-1) experimental; urgency=medium

  * [e559e92] libvirt-bin.init: Fix typo in path when checking for systemd
  * [fef0f8f] New upstream version 1.2.1~rc2
  * [caf3c45] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 Jan 2014 11:21:55 +0100

libvirt (1.2.1~rc1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * [f6b0feb] Pass --with-selinux-mount=/sys/fs/selinux to ./configure.
    The buildd are not running selinux and this make the auto-detection code
    defaults to /selinux which is actually not existing anymore in sid.
    This complete the fix for SELinux support.

  [ Guido Günther ]
  * Upload to experimental
  * [20d9129] Enable parallel build support.
    Thanks to Felix Geyer for pointing this out
  * [0d0590e] New upstream version 1.2.1~rc1. Fixes CVE-2013-6458
    (Closes: #734556)
  * [a3f978b] Bump symbol versions
  * [0a6a276] Rediff patches.
    Dropped (fixed upstream):
      security-fix-crash-in-lxcDomainGetMemoryParameters.patch
      security-fix-crash-in-lxcDomainSetMemoryParameters.patch
  * [3061b11] Build with apparmor support.
    Note that this isn't enough to run with apparmor support since the
    profiles will need more work but it makes testing this a lot simpler.
    This is heavily based on a patch by Felix Geyer.
    See: #725144

 -- Guido Günther <agx@sigxcpu.org>  Thu, 09 Jan 2014 08:23:57 +0100

libvirt (1.2.0-2) unstable; urgency=medium

  [ Guido Günther ]
  * [949fae6] Suggest systemd since it improves thinks like e.g. cgroup
    handling
  * [96f9aae] Make mounted cgroups configurable via /etc/default/libvirt-bin
    and check for memory cgroup on kernel command line. (Closes: #732666)
  * [ce356fe] Really remove "memory" from default mount list. Thanks to phep
    <phep-lists@teletopie.net>

  [ Laurent Bigonville ]
  * [13052e4] Enable selinux driver (Closes: #688179)
  * [a00df46] Switch LSB dependencies to avahi-daemon since only the later
    exists as native systemd service. (Closes: #731612)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Jan 2014 20:24:37 +0100

libvirt (1.2.0-1) unstable; urgency=medium

  * Upload to unstable
  * [230609e] Depend on kmod instead of module-init-tools (Closes: #731451)
  * [affb1ce] New upstream version 1.2.0
  * [e9de7b2] Fix crashes in lxcDomain{S,G}etMemoryParameters.
    This fixes CVE-2013-6436

 -- Guido Günther <agx@sigxcpu.org>  Wed, 18 Dec 2013 08:18:48 +0100

libvirt (1.2.0~rc2-1) experimental; urgency=low

  * [8bfdc7f] New upstream version 1.2.0~rc2
  * [56d17d0] Bump symbol versions
  * [288778f] Drop atomic-pthread-link-fix.  Fixed upstream.
  * [c8151f5] Rediff patches
  * [dd5ae42] Drop python-libvirt.  Python bindings were split out of
    libvirt's git into libvirt-python.
  * [bafc3d6] Install API files into dev package.  These are needed by the
    python bindings

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Dec 2013 21:31:31 +0100

libvirt (1.1.4-2) unstable; urgency=low

  * [78cadf5] Rados storage backend needs --with-storage-rbd not
    --with-storage-rados
  * [a384975] Explicitly disable phyp support so we can enable libssh2 uri
    support.
  * [9d8f3c5] Check correct dirs for existence (Closes: #729331)
  * [1ede11d] Document new cgroup rrequirements (Closes: #707201)
  * Acknowledge NMU, Thanks Julien Cristau (Closes: #730345)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 01 Dec 2013 19:56:25 +0100

libvirt (1.1.4-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix linking when using pthread atomic ops, such as on armel.
  * Disable silent build rules.

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Nov 2013 12:27:18 +0100

libvirt (1.1.4-1) unstable; urgency=low

  * Upload to unstable
  * [54c6758] New upstream version 1.1.4

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Nov 2013 07:05:45 +0100

libvirt (1.1.4~rc2-1) experimental; urgency=low

  * [b56f727] Add option to mount cgroups during daemon start.  The init
    script can mount each control group to a different mount point during
    prior to starting libvirt bin. This allows running qemu and lxc guests
    together without using systemd.
    Thanks to Manuel VIVES (Closes: #725261)
  * [e044f56] New upstream version 1.1.4~rc2 (Closes: #727101)
  * [d046906] Update symbols file
  * [6a8cd2d] Update patches
  * [ac24680] Lower policykit-1 build-dep since CVE-2013-4288 was fixed in
    unstable by patching policykit instead of moving the new upstream version
    from unstable.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 Nov 2013 11:44:18 +0100

libvirt (1.1.3-2) experimental; urgency=low

  * [63167cd] Enable libxl (Closes: #698093)
  * [c7747b0] Enable rados block device support
  * [6aa2998] Build against fuse for lxc fuse support
  * [a2a1a74] Don't fail chmod/chdir if a file doesn't exist.  We don't use -f
    since we want to detect other errors (ro filesystem, etc.)
    (Closes: #726203)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Oct 2013 12:22:13 +0200

libvirt (1.1.3-1) experimental; urgency=low

  * [6ec841f] New upstream version 1.1.3
  * [3721380] Drop Add-check-aclperms.pl.patch applied upstream
  * [acc5263] Refresh patches

 -- Guido Günther <agx@sigxcpu.org>  Tue, 01 Oct 2013 13:22:11 +0200

libvirt (1.1.3~rc1-1) experimental; urgency=low

  * [1894ff0] Use libvirt-qemu as group for qemu-kvm related directories since
    this is the group we run the process with.
  * [adf14d0] Make sure qemu guest agent related directories are
    readable/writeable by the kvm process (Closes: #717406)
  * [b7c1b69] Explicitly enable sheepdog support we already set the configure
    params but didn't pass them on. Sheepdog support was enabled anyway due to
    ./configure autoprobing.
  * [85436a4] No need for gawk.  Awk isn't used in libvirt anymore and
    virt-pki-validate can cope with mawk. (Closes: #703380)
  * [20cacff] New upstream version 1.1.3~rc1
  * [fe3ccca] Drop patches fixed upstream.
        Fix-cgroups-when-all-are-mounted-on-sys-fs-cgroup.patch
        Fix-launching-of-VMs-on-when-only-logind-part-of-sys.patch
        Fix-make-check-not-finding-finding-the-libvirtd-lens.patch
        Parse-AM_LDFLAGS-to-driver-modules-too.patch
        virFileNBDDeviceAssociate-Avoid-use-of-uninitialized.patch
  * [da60777] Rediff patches
  * [d5e311a] Update symbols file
  * [634a67a] Depend on newer polkit. We want a pkcheck that supports the uid
    arg to address CVE-2013-4311
  * [7c5e09d] Add check-aclperms.pl missing from the dist tarball

 -- Guido Günther <agx@sigxcpu.org>  Thu, 26 Sep 2013 14:08:44 +0200

libvirt (1.1.2-3) unstable; urgency=low

  * [d7b6d7a] Cherry-pick cgroup related fixes from upstream trunk.
    (a48838ad2e36c124229b6faaf6e24284810e3802 and
    f0b6d8d472de3c1bf3ade24e07df7c6d02075b77).
    Thanks to Laurent Biognville for chasing this and Daniel P. Berrange for
    the actual fixes.
    (Closes: #721979)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Sep 2013 16:15:31 +0200

libvirt (1.1.2-2) unstable; urgency=low

  * [f5f3818] virFileNBDDeviceAssociate: Avoid use of uninitialized variable.
    This fixes CVE-2013-4297.
    Thanks to Michal Privoznik

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Sep 2013 09:22:20 +0200

libvirt (1.1.2-1) unstable; urgency=low

  * [1fb0a76] Parse AM_LDFLAGS to driver modules too got get a RO got
    Thanks again lintian and lintian-maintainers!
  * [921150d] Bump standards version to 0.9.4
  * [7b8d517] New upstream version 1.1.2

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Sep 2013 10:04:33 +0200

libvirt (1.1.2~rc2-1) experimental; urgency=low

  * [4db5aa3] Remove unneeded systemd targets.
    While it's nice to have them upstream for backward compat we can drop
    them in Debian already.
  * [b4a9eaf] New upstream version 1.1.2~rc2 (Closes: #721325)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 30 Aug 2013 17:46:54 +0200

libvirt (1.1.2~rc1-1) experimental; urgency=low

  * [a3b140a] New upstream version 1.1.2~rc1 (Closes: #719533)
  * [6c162e3] Update patches:
    Drop virGetGroupList-always-include-the-primary-group.patch applied
    upstream.
  * [e6c12ec] Update symbols
  * [a3548ee] Drop versioned libaudit-dev dependency (Closes: #721172)
  * [1562bb3] Fix "make check" not finding finding the libvirtd lense

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Aug 2013 20:22:10 +0200

libvirt (1.1.1-1) unstable; urgency=low

  * [58c2a29] New upstream version 1.1.1 (Closes: #15510, #715320)
  * [0a06224] Move directory creation form dh_auto_build to dh_auto_install
    since this isn't part of the building but the installing process.
  * [a1c747a] Update symbols
  * [90a1881] Update patches.
    Dropped patches fixed upstream
        CVE-2013-4153-qemu-Fix-double-free-of-returned-JSON-.patch
        CVE-2013-4154-qemu-Prevent-crash-of-libvirtd-without.patch
        Create-directory-for-lease-files-if-it-s-missing.patch
        Fix-crash-when-multiple-event-callbacks-were-registe.patch
  * [1308542] virGetGroupList: always include the primary group
    otherwise we're lacking the group to access /dev/kvm

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Aug 2013 11:31:05 +0200

libvirt (1.1.0-4) unstable; urgency=low

  * [22913a0] Skip tests on all architectures except for i386 and amd64 as we
    did with cdbs
  * [23a28f2] CVE-2013-4153: qemu: Fix double free of returned JSON array in
    qemuAgentGetVCPUs() Thanks to Peter Krempa (Closes: #717354)
  * [85b5fda] CVE-2013-4154: qemu: Prevent crash of libvirtd without guest
    agent configuration.  Thanks to Alex Jia (Closes: #717355)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 20 Jul 2013 09:58:29 +0200

libvirt (1.1.0-3) unstable; urgency=low

  * [3a2a899] Create directory for lease files if it's missing
    (Closes: #715200)
  * [000df64] Don't assume EXAMPLES_DIR exists as seen on the autobuilders
    (Closes: #717059)
  * [8369f65] Fix crash when multiple event callbacks were registered.
    CVE-2013-2230. Thanks to Ján Tomko (Closes: #715559)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 16 Jul 2013 16:03:40 +0200

libvirt (1.1.0-2) unstable; urgency=low

  * [ac2fb88] Create /var/lib/libvirt/qemu/channel/target (Closes: #712179)
  * [54deab3] Switch to dh
  * [642e1f9] Set LD_PRELOAD empty (Closes: #714515)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Jul 2013 15:51:16 +0200

libvirt (1.1.0-1) unstable; urgency=low

  [ Guido Günther ]
  * [f0c8ed9] Remove now unused DM-Upload-Allowed
  * [aff716e] Depend on newer libnetcf1 that has a proper symbols file so we
    can drop the explicit libnetcf1 dependency in libvirt-bin
    (Closes: #712073)
  * [985164b] New upstream version 1.1.0. Addresses CVE-2013-2218.
    (Closes: #714699)
  * [390c5bd] Update symbols file
  * [9854fa9] Rebase patches
  * [9f9bb30] Move renaming of the service files prior to the dh_systemd_*
    helpers so they pick up the right service name.

  [ Michael Stapelberg ]
  * [5978fc0] switch to dh-systemd for proper systemd maintscripts
    (Closes: #714197)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Jul 2013 22:40:05 +0200

libvirt (1.0.6-1) unstable; urgency=low

  * [d233204] Make sure qemu.conf isn't world readable by default
    since the user might add passwords to it. (Closes: #710537)
  * [3a2c75c] New upstream version 1.0.6
  * [792d607] Update symbols
  * [7921e44] Update patches:
     Changed patches.
        Debianize-libvirt-guests.patch adjuste to upstream changes
     Dropped patches (applied upstream):
        Add-sanitytest.py.patch
        Fixup-rpcgen-code-on-kFreeBSD-too.patch
        Make-detect_scsi_host_caps-a-function-on-all-archite.patch
        daemon-fix-leak-after-listing-all-volumes.patch
        virInitctlRequest-Don-t-hardcode-384-bytes-size.patch
        virthreadpthread-don-t-try-to-cast-pthread_t-to-void.patch

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Jun 2013 15:27:52 +0200

libvirt (1.0.5-3) unstable; urgency=low

  * Upload to unstable (Closes: #709216, #705205)
  * [037b674] daemon: fix leak after listing all volumes.
    Thanks to Ján Tomko (Closes: #708647)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 May 2013 11:10:18 +0200

libvirt (1.0.5-2) experimental; urgency=low

  * [3686504] virInitctlRequest: Don't hardcode 384 bytes size
    another kFreeBSD build fix
  * [b47d706] Disable xen and vbox on all non-linux platforms
  * [031648a] Fixup rpcgen code on kFreeBSD too
  * [5154850] Make detect_scsi_host_caps a function on all architectures.
    Another kFreeBSD build fix

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 May 2013 10:42:38 +0200

libvirt (1.0.5-1) experimental; urgency=low

  * [c90d756] New upstream version 1.0.5
    Fixes a kFreeBSD build failure
  * [910e185] virthreadpthread: don't try to cast pthread_t to void*
    Fixes another build failure on kFreeBSD
  * [3f914e6] Add back sanitytest.py that got lost in the upstream tarball

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 May 2013 21:34:32 +0200

libvirt (1.0.5~rc1-1) experimental; urgency=low

  * [c2302f5] Dont' fail with aug-tools installed.
    Thanks; Manuel VIVES (Closes: #705528)
  * [60e9fd4] New upstream version 1.0.5~rc1
  * [2625e81] Update patches. Dropped.
        Add-sanitytest.py.patch
    applied upstream.
  * [f16f97d] Don't ship files for static linking
  * [77362d6] Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Apr 2013 15:35:01 +0200

libvirt (1.0.4-1) experimental; urgency=low

  * [ddd8c30] lxc: Init activeUsbHostdevs (Closes: #700267)
  * [95adca0] New upstream version 1.0.4
  * [237a6ca] Update symbols file

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Apr 2013 14:25:22 +0200

libvirt (1.0.3-1) experimental; urgency=low

  * [38c4d9a] New upstream version 1.0.3
  * [4fa2cf2] Update patches.
    Dropped (fixed upstream)
        - Hook-log-the-exit-status-of-the-hook-not-256.patch
  * [ab5c109] Add sanitytest.py missing from the upstream tarball
  * [524cdb1] Properly remove libvirt-qemu group and user.
    Thanks to Adam D.  Barratt for noticing
  * [5dbabe0] Use "getent passwd" instead of the non existing "getent user"
    Thanks again to Adam D. Barratt
  * [f59b09c] Only add libvirt-qemu user to libvirt-qemu group once when the
    group gets created

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Mar 2013 19:07:33 +0100

libvirt (1.0.3~rc2-1) experimental; urgency=low

  * [9afb984] Enable systemd services
  * [623674a] New upstream version 1.0.3~rc2
  * [e0bccfc] Update symbols
  * [7414d07] Refresh patches.
    Drop
        Fix-missing-error-constants-in-libvirt-python-module.patch
        complete-virterror-virerror-name-change.patch
    fixed upstream.
  * [bae2f7b] Hook log the exit status of the hook not 256
    (Closes: #701570)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Mar 2013 16:54:48 +0100

libvirt (1.0.2-3) experimental; urgency=low

  * [6270001] CVE-2013-1766: Use libvirt-qemu as group to run qemu/kvm
    instances.  This makes sure we don't chown files to groups possibly used
    by other programs. (Closes: #701649)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 Feb 2013 09:32:59 +0100

libvirt (1.0.2-2) experimental; urgency=low

  * [7e3ee2f] Cherry-pick upstream fixes for Python bindings (Closes: #700077)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Feb 2013 14:04:08 +0100

libvirt (1.0.2-1) experimental; urgency=low

  * [7adf6b4] New upstream version 1.0.2
  * [1156772] Drop Don-t-fail-the-build-without-libcurl-and-esx.patch
    applied upstream
  * [5d66d5a] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Wed, 30 Jan 2013 21:06:02 +0100

libvirt (1.0.2~rc1-1) experimental; urgency=low

  * [5ce607c] Make python-libvirt depend on the exact same libvirt0 version
    (Closes: #697852)
  * [9335bdd] New upstream version 1.0.2~rc1
  * [8af24a9] Dropped patch
       Define-SANLK_INQ_WAIT-if-missing-in-headers.patch - fixed upstream
  * [be521af] Update symbols
  * [47dbf6b] New patch Don-t-fail-the-build-without-libcurl-and-esx.patch
  * [9e52c7b] Install libvirt-lxc.so

 -- Guido Günther <agx@sigxcpu.org>  Mon, 28 Jan 2013 08:55:36 +0100

libvirt (1.0.1-4) experimental; urgency=low

  * [753d41c] Add epoch to libnetcf1 dependency (Closes: #697457)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Jan 2013 15:59:51 +0100

libvirt (1.0.1-3) experimental; urgency=low

  * [11f91ea] Make sure we build against sid's libaudit since libaudit0 and
    libaudit1 aren't coinstallable (see #697459).

 -- Guido Günther <agx@sigxcpu.org>  Sat, 05 Jan 2013 17:04:51 +0100

libvirt (1.0.1-2) experimental; urgency=low

  * [0019ff9] Pass WITH_AUDIT to configure (Closes: #688177)
  * [faf7972] Add epoch to libnetcf build dependency since both the usuable
    and unusable verion carry an epoch now (Closes: #697303)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Jan 2013 22:36:56 +0100

libvirt (1.0.1-1) experimental; urgency=low

  * [e722456] New upstream version 1.0.1
  * [dccead7] Update patches
  * [1384de7] Dropped patches.
      * Define-SANLK_INQ_WAIT-if-missing-in-headers.patch - fixed upstream

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Dec 2012 12:28:01 +0100

libvirt (1.0.1~rc1-1) experimental; urgency=low

  * [dca42fb] Rely on DBus activation for hal (Closes: #694020)
  * [cbb8fd5] Disable firewalld since this would make us hard depend on DBus
  * [751c235] New upstream version 1.0.1~rc1
  * [f672206] Update patches
  * [a6fae3d] Define SANLK_INQ_WAIT if missing in headers
  * [50956c7] libvirt-guests init script moved
    for better systemd integration
  * [a05c9c7] Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Thu, 13 Dec 2012 18:54:12 +0100

libvirt (1.0.0-1) experimental; urgency=low

  * [f5c8dae] New upstream version 1.0.0

 -- Guido Günther <agx@sigxcpu.org>  Tue, 06 Nov 2012 20:59:48 +0100

libvirt (1.0.0~rc3-1) experimental; urgency=low

  * [d3d06ad] New upstream version 1.0.0~rc3
  * [610ff5d] Drop Create-temporary-dir-for-socket.patch, applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Nov 2012 21:59:41 +0100

libvirt (1.0.0~rc2-3) experimental; urgency=low

  * [55ec399] Don't try to configure systemtap support on architectures
    lacking support for it.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Oct 2012 13:28:50 +0100

libvirt (1.0.0~rc2-2) experimental; urgency=low

  * [a2dd93d] Adjust systemtap build-dependency to architectures that actually
    have it.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Oct 2012 07:21:19 +0100

libvirt (1.0.0~rc2-1) experimental; urgency=low

  * [2b79e3d] New upstream version 1.0.0~rc2
  * [79d2200] Add empty systemtap dir so dh_install doesn't fail on kFreeBSD
  * [e68850a] Create temporary dir for socket to avoid ENAMETOOLONG

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Oct 2012 10:55:22 +0100

libvirt (1.0.0~rc1-1) experimental; urgency=low

  * [51182d6] New upstream version 1.0.0~rc1
  * [a8b162b] Refresh patches.
    Fixed upstream:
        * Properly-parse-unsigned-long-long.patch
        * storage-lvm-Don-t-overwrite-lvcreate-errors.patch
        * storage-lvm-lvcreate-fails-with-allocation-0-don-t-d.patch
  * [418be04] Update symbols
  * [f3fdef3] Install systemtap tapsets on Linux
  * [e18098f] Build require a netcf linked against libnl-3-dev
  * [8acbd16] Adjust to changed policy file names

 -- Guido Günther <agx@sigxcpu.org>  Sun, 28 Oct 2012 17:13:08 +0100

libvirt (0.10.2-4) experimental; urgency=low

  * [cb74dfd] Properly parse (unsigned) long long in the python bindings to
    fix those on platforms where sizeof(long) != sizeof(long long).
    This fixes virt-install's '--location='.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 13 Oct 2012 10:31:21 +0200

libvirt (0.10.2-3) experimental; urgency=low

  * [ce15a08] Build against libnl-3 on Linux systems (Closes: #688167)
  * [19ec20b] Depend on a libnetcf1 that's build against libnl3 to avoid
    pulling in libnl1 symbols.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Oct 2012 20:30:51 +0200

libvirt (0.10.2-2) experimental; urgency=low

  * [20830ab] Mark sheepdog as linux-any since it's not available on kFreeBSD
  * [be7423c] Allow xen toolstack to find it's binaries.
    Thanks to George Dunlap for the patch. (Closes: #685749)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Oct 2012 19:20:17 +0200

libvirt (0.10.2-1) experimental; urgency=low

  * [40e1704] Enable auditing on linux-any.
    Thanks to Laurent Bigonville for testing. (Closes: 688177)
  * [8d56723] New upstream version 0.10.2
  * [312d8e6] Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Thu, 27 Sep 2012 16:25:26 +0200

libvirt (0.10.1-2) experimental; urgency=low

  * [cd7e695] Recommend pm-utils used for host power management.
  * [2f928f7] Add missing "-d" to libvirt-bin's restart option otherwise
    daemon restarts will just hang. Thanks to Laurent Bigonville.
    (Closes: #688146)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 19 Sep 2012 22:32:34 +0200

libvirt (0.10.1-1) experimental; urgency=low

  * [aa3d87e] New upstream version 0.10.1
  * [39ae471] Drop Revert-security-Add-DAC-to-security_drivers.patch: fixed
    upstream.
  * [b531061] Update symbol file
  * [8d4f9dc] Enable sheepdog support

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Sep 2012 13:06:02 +0200

libvirt (1.0.0-2) unstable; urgency=low

  * Upload to unstable
  * [dca42fb] Rely on DBus activation for hal (Closes: #694020)
  * [cbb8fd5] Disable firewalld since this would make us hard depend on DBus

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Nov 2012 22:10:17 +0100

libvirt (0.10.0-1) experimental; urgency=low

  * [b3ae724] New upstream version 0.10.0
  * [19618d9] Update symbols file
  * Dropped patches, fixed upstream:
        * security/CVE-2012-3445.patch
        * virsh-Initialize-library-before-calling-virResetLast.patch
        * Don-t-require-gawk-for-a-simple-print-expression.patch
  * [2a5d5b7] Revert "security: Add DAC to security_drivers" to allow guest
    start. Thanks to Peter Krempa and Marcelo Cerri for tracking this down.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 Aug 2012 09:27:43 +0200

libvirt (0.9.13-1) experimental; urgency=low

  * [6cf501c] New upstream version 0.9.13
  * [8ff7077] Fix CVE-2012-3445 with upstream commit
    6039a2cb49c8af4c68460d2faf365a7e1c686c7b. (Closes: #683483)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Aug 2012 13:14:30 +0200

libvirt (0.9.13~rc2-1) experimental; urgency=low

  * [505f873] New upstream version 0.9.13~rc2
  * [bd1c1e0] Rebase patches

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Jun 2012 11:23:54 +0200

libvirt (0.9.13~rc1-2) experimental; urgency=low

  * [628a05a] Add empty systemd dir on kFreeBSD to make dh_install pass
  * [e5b4fbf] Remove -d from libvirtd_opts
    so we can use the same options in the systemd unit file without having
    to fork there too.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 28 Jun 2012 11:30:29 +0200

libvirt (0.9.13~rc1-1) experimental; urgency=low

  * [9deae39] New upstream version 0.9.13~rc1
  * [487acd7] Drop Include-stdint.h-for-uint32_t.patch fixed upstream
  * [ab7be10] Drop Only-check-for-cluster-fs-if-we-re-using-a-filesyste.patch
    applied upstream
  * [385bac4] Rebase remaining patches
  * [cb0d1f7] Update symbol versions
  * [c2bd465] Remove *.la files generated for dynamically loaded modules
  * [e4714b7] Add sanlock support.
    Thanks to David Weber (Closes: #676345)
  * [5f715ed] Install systemd init scripts on Linux

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 Jun 2012 15:29:27 +0200

libvirt (0.9.12-5) unstable; urgency=high

  * Setting urgency to high since it's a security only fix
  * [c0f4995] New patch security-Fix-libvirtd-crash-possibility.patch.
    Fix libvirtd crash possibility (CVE-2012-4423)
    Thanks to Martin Kletzander (Closes: #687598)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Sep 2012 22:35:08 +0200

libvirt (0.9.12-4) unstable; urgency=low

  * [80ac2a6] Fix CVE-2012-3445 with upstream commit
    6039a2cb49c8af4c68460d2faf365a7e1c686c7b (Closes: #683483)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Aug 2012 21:12:13 +0200


libvirt (0.9.12-3) unstable; urgency=low

  * [6b610b6] Include stdint.h for uint32_t to fix the build on kFreeBSD

 -- Guido Günther <agx@sigxcpu.org>  Wed, 20 Jun 2012 08:24:38 +0200

libvirt (0.9.12-2) unstable; urgency=medium

  * Upload to unstable to fix CVE-2012-2693. Bumping urgency to medium.
    (Closes: #677496)
  * [9515e28] Only check for cluster fs if we're using a filesystem
    (Closes: #676328)
  * [202939f] Reduce udevadm settle timeout to 10 seconds
    (Closes: #663931)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 14 Jun 2012 19:37:42 +0200

libvirt (0.9.12-1) experimental; urgency=low

  * [75e280b] New upstream version 0.9.12

 -- Guido Günther <agx@sigxcpu.org>  Tue, 15 May 2012 14:31:26 +0200

libvirt (0.9.12~rc2-1) experimental; urgency=low

  * [721a2d8] New upstream version 0.9.12~rc2
  * [a469ff6] Update symbols
  * [a483028] Daemon tests changed so update the patches
  * [fbd9c12] Drop virURIParse-don-t-forget-to-copy-the-user-part applied
    upstream
  * [00931ed] Update gbp.conf for experimental

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 May 2012 08:43:49 +0200

libvirt (0.9.11.3-1) unstable; urgency=low

  * [f254551] New upstream version 0.9.11.3
  * [5362229] Drop virURIParse-don-t-forget-to-copy-the-user-part.patch.
    Fixed upstream.
  * [36ed9f0] Update symbols file

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Apr 2012 09:44:51 +0200

libvirt (0.9.11-2) unstable; urgency=low

  * [70dcb2e] Make module-init-tools a linux-any dependency
    (Closes: #667477)
  * [ea112f4] Depend on dwarves for checks requiring pdwtags
  * [5152b85] virURIParse: don't forget to copy the user part
    (Closes: #667636)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Apr 2012 17:29:46 +0200

libvirt (0.9.11-1) unstable; urgency=low

  * Upload to unstable
  * [34aa61b] New upstream version 0.9.11
  * [649c570] Build-dependency on virtualbox-ose no longer needed.
    Thanks to Jean-Baptiste Rouault (Closes: #663589)
  * [8323080] We need gcrypt so build-depend on it although it's already being
    pulled in by gnutls. Thanks to Serge Hallyn (Closes: #660018)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 03 Apr 2012 20:18:08 +0200

libvirt (0.9.11~rc1-1) experimental; urgency=low

  * [b8ad28b] Build-dependency on virtualbox-ose no longer needed.
    Thanks to Jean-Baptiste Rouault (Closes: #663589)
  * [049b63b] New upstream version 0.9.11~rc1
  * [deacbc5] Update symbols file
  * [697838f] Update Debianize-libvirt-guests.patch
    with new config option PARALLEL_SHUTDOWN
  * [ba62183] Bump standards version (no changes)
  * [bece9d3] Install missing manpages

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Mar 2012 21:35:21 +0200

libvirt (0.9.10-2) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 Feb 2012 13:42:23 +0100

libvirt (0.9.10-1) experimental; urgency=low

  * [63a7e8c] New upstream version 0.9.10

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 Feb 2012 09:05:27 +0100

libvirt (0.9.10~rc1-1) experimental; urgency=low

  * Upload to experimental
  * [8f97b0f] New upstream version 0.9.10~rc1
  * [7636706] Update symbols
  * [8d776a5] Drop xen-Don-t-crash-when-we-fail-to-init-caps.patch applied
    upstream.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Feb 2012 19:47:45 +0100

libvirt (0.9.9-3) unstable; urgency=low

  * Upload to unstable
  * [367b47b] Enable netcf support (Closes: #567606)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Feb 2012 14:10:07 +0100

libvirt (0.9.9-2) experimental; urgency=low

  * [97182f9] Don't fail if we can't setup avahi. We'd need to make this a
    hard dependency otherwise.
  * [bf94bbd] xen: Don't crash when we fail to init caps (Closes: #656075)
  * [56f2dbc] Cleanup /var/log/libvirt on purge (Closes: #656460)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Feb 2012 17:45:12 +0100

libvirt (0.9.9-1) experimental; urgency=low

  * [dd5f96f] New upstream version 0.9.9
  * [623022f] Rebase patches
  * [77eb5a4] Update symbols file

 -- Guido Günther <agx@sigxcpu.org>  Tue, 10 Jan 2012 13:40:41 +0100

libvirt (0.9.8-2) unstable; urgency=low

  * Upload to unstable. Works with qemu-kvm and qemu 1.0.
    (Closes: #652454)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 17 Dec 2011 14:01:20 +0100

libvirt (0.9.8-1) experimental; urgency=low

  * [8a35c97] New upstream version 0.9.8
  * [52e19b5] Drop remote_driver-don-t-fail-if-keepalive-check-fails.patch
    applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Dec 2011 23:31:31 +0100

libvirt (0.9.8~rc2-2) experimental; urgency=low

  * [e50aac4] remote_driver: don't fail if keepalive check fails. This fixes
    remote connections to older libvirt versions.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Dec 2011 18:00:06 +0100

libvirt (0.9.8~rc2-1) experimental; urgency=low

  * [9b1abb2] New upstream version 0.9.8~rc2

 -- Guido Günther <agx@sigxcpu.org>  Sun, 04 Dec 2011 13:58:31 +0100

libvirt (0.9.8~rc1-1) experimental; urgency=low

  * [99476ba] New upstream version 0.9.8~rc1
  * [3bdcf07] Make radvd a linux-any build-dep (Closes: #649635)
  * [7546785] Drop patch storage-forbid-rebuilding-existing-disk-storage-pool
    applied upstream.
  * [0c2afdb] Rediff remaining patches
  * [3d121b2] Update symbols file

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Dec 2011 14:49:49 +0100

libvirt (0.9.7-2) unstable; urgency=low

  * [b0bdb13] Enable numa support. (Closes: #648323)
    Thanks to Ralf Spenneberg for testing
  * [5b55828] Disk storage: forbid rebuilding existing disk storage pools
    wiping all it's data.
  * [d77511c] Build depend on radvd (Closes: #648551)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 12 Nov 2011 23:16:21 +0100

libvirt (0.9.7-1) experimental; urgency=low

  * [c06e393] debian/watch: match releases and release candidates
  * [2d08768] New upstream version 0.9.7
  * [a260f43] Add empty hooks dir (Closes: #623996)
  * [0b10e48] Install logrotate files again. This got broken by moving to
    separate build-dir. Based on a patch from Serge Hallyn. (Closes: #647953)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Nov 2011 19:11:02 +0100

libvirt (0.9.7~rc2-1) experimental; urgency=low

  * [2d51700] New upstream version 0.9.7~rc2
  * [bae02ad] Drop patches, now fixed upstream.
      - Fix-storage-pool-source-comparison-to-avoid-comparin.patch
      - Skip-socket-test-if-we-exceed-UNIX_PATH_MAX.patch

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Nov 2011 18:59:03 +0100

libvirt (0.9.7~rc1-2) experimental; urgency=low

  * [c0292f7] Skip socket test if we exceed UNIX_PATH_MAX.
  * [764a29c] Fix storage pool source comparison to avoid comparing with self
    Thanks to Daniel P. Berrange

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 Nov 2011 19:07:51 +0100

libvirt (0.9.7~rc1-1) experimental; urgency=low

  * [6dba3c4] New upstream version 0.9.7~rc1
  * [456c4b7] Update symbols file
  * [a5b6513] debian/watch: allow for '-' in the version number so we also
    catch the release candidates.
  * [a5d0318] Drop Autodetect-if-the-remote-nc-command-supports-the-q-o.patch
    fixed upstream.
  * [fb8aed9] Update remaining patches
  * [1f841c0] Move Debian specific patches to debian/patches/debian

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 Nov 2011 10:04:40 +0100

libvirt (0.9.6-2) unstable; urgency=low

  * [6e5ad9d] Install libvirtd manpage. Thanks to Serge E. Hallyn
    (Closes: #644457, #606069)
  * [480ef36] Remove now superfluous build-dep on QEMU
  * [86140cf] python-libvirt: Recommend libvirt-bin (Closes: #646440)
  * [a76d37f] Build-depend and Recommend: parted since it's needed for disk
    storage pool creation (found by libvirt-tck)
  * [2e7bee9] Remove workaround for m68k ICE fixed in gcc-4.6 upstream and
    Debian's gcc-4.4. Thanks to Thorsten Glaser

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Oct 2011 17:14:21 +0100

libvirt (0.9.6-1) unstable; urgency=low

  * [828e4e3] New upstream version 0.9.6
  * [59404f4] Use versioned X-Python-Version
  * [0b43f12] Update symbols file
  * [744aaeb] Drop Readd-LFS-support.patch - fixed upstream
  * [f759960] Rediff remaining patches

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Sep 2011 23:28:03 +0200

libvirt (0.9.4-2) unstable; urgency=low

  [ Philipp Hahn ]
  * [c9a080d] Build python-libvirt for all python versions (Closes: #628828)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Aug 2011 21:17:55 +0200

libvirt (0.9.4-1) experimental; urgency=low

  * [a92d03e] New upstream version 0.9.4
  * [76f0333] Run tests verbosely to ease error diagnostics
  * [f4e7d0b] Work around ICE on m68k.
    Thanks to Thorsten Glaser
  * [ac6e760] Add directories chown'ed in the postinst.
    Thanks to Houmehr Aghabozorgi for the report (Closes: #636965)
  * [194722a] Simplify netcat probe and adjust testcase output to reduce
    number of failing testcases.
  * [05e5a06] Use libyajl QEMU JSON support
  * [e7934f7] Use libpcap for ip address learning support
  * [6661730] Readd LFS support
  * [17d831b] Don't require gawk for a simple print expression
    (Closes: #636712)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Aug 2011 16:41:24 +0200

libvirt (0.9.4~rc1-1) experimental; urgency=low

  * [0e60a81] New upstream version 0.9.4~rc1
  * [db6dbcc] Suggest radvd needed for IPv6
  * [a9b77e5] Drop Catch-dnsmasq-start-failures.patch applied upstream
  * [b18ac26] Rediff remaining patches
  * [8ee8750] Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 Jul 2011 13:12:57 +0200

libvirt (0.9.3-5) unstable; urgency=low

  * [44874f6] Add directories chown'ed in the postinst.  Thanks to Houmehr
    Aghabozorgi for the report (Closes: #636965)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 11 Aug 2011 08:19:38 +0200

libvirt (0.9.3-4) unstable; urgency=low

  * [db6dbcc] Suggest radvd needed for IPv6
  * [32ac1cf] Work around ICE on m68k. Thanks to Thorsten Glaser.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 27 Jul 2011 21:26:02 +0200

libvirt (0.9.3-3) unstable; urgency=low

  * [6db6929] Catch dnsmasq start failures
  * [0254bfb] Add empty log directories to make logrotate happy
    (Closes: #635239)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 24 Jul 2011 10:51:58 +0200

libvirt (0.9.3-2) unstable; urgency=low

  * Upload to unstable
  * [331afb8] Move build rules to make sure DEB_BUILD_ARCH_OS is properly
    defined.
    Thanks to Serge E. Hallyn
  * [4f3fe1d] Adjust directory permissions to what upstream uses to avoid
    potential information leakage.
    (Closes: #632332)
  * [ab7ad05] Add sanlock dir
  * [bc05a9d] Logrotate logs from HVs other than qemu too
    (Closes: #625746)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 Jul 2011 15:28:10 +0200

libvirt (0.9.3-1) experimental; urgency=low

  * [320f8b6] New upstream version 0.9.3 (Closes: #633840)
  * [fff5144] Update symbols
  * [787d91c] Depend on dnsmasq-base, netcat-openbsd and openssh-client for
    "make check"
  * [1fa64b0] Remove article from libvirt-bin description to make lintian
    happy.
  * [3689fc5] Drop patches applied upstream:
    - Skip-nodeinfo-test-on-non-intel-architectures.patch
    - Split-out-dlopen-detection.patch
    - nodeinfo-remove-superfluous-braces.patch
  * [31b17c8] Drop Update-generated-autoconf-files.patch. No need to
    regenerate autoconf for 0.9.3
  * [65871eb] Adjust nc autodetect patch to new socket code
  * [7b0c6df] Disable failing virnetsockettest until investigated further
  * [248bc3f] Rediff remaining patches

 -- Guido Günther <agx@sigxcpu.org>  Sun, 10 Jul 2011 19:43:05 +0200

libvirt (0.9.2-6) unstable; urgency=low

  * [b385504] Disable the testsuite on all architectures except i386 and amd64
    so the current version can move into testing.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Jul 2011 09:14:56 +0200

libvirt (0.9.2-5) unstable; urgency=low

  * [e523120] New patch Disable-gnulib-s-test-nonplocking-pipe.sh.patch.
    Disable gnulib's test-nonplocking-pipe.sh.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 26 Jun 2011 15:57:24 +0200

libvirt (0.9.2-4) unstable; urgency=low

  * [398a4dd] New patch Split-out-dlopen-detection.patch.  Explicitly pass
    -ldl since the lock manager needs it.
  * [3be22be] New patch Update-generated-autoconf-files.patch. Update
    generated autoconf files

 -- Guido Günther <agx@sigxcpu.org>  Mon, 13 Jun 2011 19:09:17 +0200

libvirt (0.9.2-3) unstable; urgency=low

  * [008e65d] New patch Skip-nodeinfo-test-on-non-intel-architectures.patch:
    Skip nodeinfo test on non intel architectures since the testfiles assume a
    /proc/cpuinfo specific to this architecture.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Jun 2011 22:00:05 +0200

libvirt (0.9.2-2) unstable; urgency=low

  * [17570fc] Enable OpenVZ on Linux only (Closes: #630099)
  * [31a35bc] New patch nodeinfo-remove-superfluous-braces.patch
    nodeinfo: remove superfluous braces to fix compilation on non intel
    architectures

 -- Guido Günther <agx@sigxcpu.org>  Sat, 11 Jun 2011 18:40:14 +0200

libvirt (0.9.2-1) unstable; urgency=low

  * [c6187ec] New upstream version 0.9.2
  * [368375a] Update netcat detection to new code
  * [e3319ee] Drop security-plug-regression-introduced-in-disk-probe-lo.patch
    applied upstream
  * [a1428a7] Refresh patches
  * [77590ee] Update symbols
  * [0626972] Depend on iproute
  * [a1b211d] Version dependency on iptables and drop
    Disable-CHECKSUM-rule.patch (Closes: #627595)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 08 Jun 2011 16:58:19 +0200

libvirt (0.9.1-2) unstable; urgency=high

  * [4fbc990] New patch security-plug-regression-introduced-in-disk-probe-lo.
    patch (Closes: #629128)
    - Fixes: CVE-2011-2178

 -- Laurent Léonard <laurent@open-minds.org>  Sat, 04 Jun 2011 01:53:43 +0200

libvirt (0.9.1-1) unstable; urgency=low

  * [1546b8c] New upstream version 0.9.1
  * [2418ebf] Rediff patches
  * [d4e2b71] Drop Make-sure-DNSMASQ_STATE_DIR-exists.patch: applied upstream
  * [0fef693] libvirt0: Update symbols
  * [b4ff149] Bump standards version to 3.9.2

 -- Guido Günther <agx@sigxcpu.org>  Tue, 10 May 2011 22:45:11 +0200

libvirt (0.9.0-2) unstable; urgency=low

  * [3a8e07f] New patch Make-sure-DNSMASQ_STATE_DIR-exists.patch
    (Closes: #623536)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 May 2011 17:14:02 +0200

libvirt (0.9.0-1) unstable; urgency=low

  * [a91c8f6] New upstream version 0.9.0
  * [1608a8c] Drop patch Make-macros-work-as-rvalues.patch, fixed upstream
  * [85c3f78] Fix test failure caused by our libvirtd.conf changes
  * [0defeee] Fix crashes due to missing initialization of the error system
  * [0a63618] Disable daemon start test for now
  * [1c29d34] Enable testsuite
  * [cf3a26f] Build for Python 2.6 only

 -- Guido Günther <agx@sigxcpu.org>  Sat, 16 Apr 2011 15:26:34 +0200

libvirt (0.9.0~rc2-2) experimental; urgency=low

  * [7da1fd9] New patch Make-macros-work-as-rvalues.patch fixes kFreeBSD build
  * [08c4915] Add support for kFreeBSD (Closes: #612238)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 31 Mar 2011 23:01:58 +0200

libvirt (0.9.0~rc2-1) experimental; urgency=low

  * [77fc1c5] New upstream version 0.9.0~rc2
  * [30ceba5] Drop superflous build-dep on dpkg-dev.
    The affected versions are neither in Lenny, Squeeze nor Sid.
  * [5845bed] Switch to dh_python2 (Closes: #616874)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 30 Mar 2011 14:14:03 +0200

libvirt (0.9.0~rc1-1) experimental; urgency=low

  * [02daf0b] New upstream version 0.9.0~rc1
  * [b4a05a1] Update patches. Drop patches applied upstream:
        Do-not-add-drive-boot-on-param-when-a-kernel-is-spec.patch
        Don-t-pass-empty-arguments-to-dnsmasq.patch
        Make-sure-the-rundir-is-accessible-by-the-user.patch
        upstream/Add-missing-checks-for-read-only-connections.patch
  * [7ff8e58] Update symbols for 0.9.0~rc1

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Mar 2011 10:04:54 +0200

libvirt (0.8.8-3) unstable; urgency=low

  * [28df435] Don't create the rundir in the init script. The daemon does this
    now.
  * [7302aff] New patch Make-sure-the-rundir-is-accessible-by-the-user.patch.
    Make sure the rundir is accessible by the user (Closes: #614210)
  * [6dde59d] Recommend dmidecode used by the qemu driver
  * [235f893]  Add missing checks for read only connections.
    As pointed on CVE-2011-1146, some API forgot to check the read-only
    status of the connection for entry point which modify the state
    of the system or may lead to a remote execution using user data.
    The entry points concerned are:
      - virConnectDomainXMLToNative
      - virNodeDeviceDettach
      - virNodeDeviceReAttach
      - virNodeDeviceReset
      - virDomainRevertToSnapshot
      - virDomainSnapshotDelete
     src/libvirt.c: fix the above set of entry points to error on read-only
     connections (Closes: #617773)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Mar 2011 20:06:57 +0100

libvirt (0.8.8-2) unstable; urgency=low

  * [f5fa0d3] initscript: depend on $local_fs (Closes: #616162)
  * [f503698] README.Debian: Mention netcat.openbsd. Thanks to Luca Capello
    for the patch.
  * [9d1ceb0] New patch:
        Do-not-add-drive-boot-on-param-when-a-kernel-is-spec.patch.
    Do not add drive 'boot=on' param when a kernel is specified
    Thanks to Jim Fehlig and Wolfgang Frisch (Closes: #615013)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Mar 2011 21:43:32 +0100

libvirt (0.8.8-1) unstable; urgency=low

  [ Guido Günther ]
  * [6a174b7] Remove symbol versions that didn't introduce new public symbols
    and mark those as missing.

  [ Laurent Léonard ]
  * [d9e4cad] Imported Upstream version 0.8.8
  * [d5ae8aa] Drop patches
    - build-let-xgettext-see-strings-in-libvirt-guests.patch - fixed upstream
    - libvirt-guests-remove-bashisms.patch - fixed upstream
  * [d5990df] Update libvirt0 symbols

 -- Laurent Léonard <laurent@open-minds.org>  Tue, 22 Feb 2011 01:58:55 +0100

libvirt (0.8.7-3) unstable; urgency=low

  * [e6c5184] New patch Don-t-pass-empty-arguments-to-dnsmasq.patch: Don't
    pass empty arguments to dnsmasq
    Thanks to Simon McVittie for the detailed description (Closes: #613944)
  * [8887de6] Add gbp.conf

 -- Guido Günther <agx@sigxcpu.org>  Fri, 18 Feb 2011 15:49:44 +0100

libvirt (0.8.7-2) unstable; urgency=low

  [ Laurent Léonard ]
  * [aa3b6a0] Add gettext-base dependency for libvirt-bin.  Since
    libvirt-guests now needs it.
  * [bb7dbde] Add non dependency booting support for libvirt-guests

  [ Guido Günther ]
  * Upload to unstable
  * [f2fdde0] libvirt-bin.init: add cgconfig to Should-Start.
    This ensures we reliably process cgroups before starting libvirtd
    (Closes: #610738)
  * [261f679] libvirt-bin.init: Add hal and avahi to Should-Stop
    to make Should-Start and Should-Stop symmetric.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 12 Feb 2011 15:10:48 +0100

libvirt (0.8.7-1) experimental; urgency=low

  [ Guido Günther ]
  * [f561b2e] New patch 0010-nwfilter-resolve-deadlock-between-VM-
    operations-and-.patch nwfilter: resolve deadlock between VM
    operations and filter update (Closes: #602715)

  [ Laurent Léonard ]
  * [6f95d48] Fix exit status codes in libvirt init script to comply
    with LSB
  * [7d7aed4] New patch 0010-Debianize-libvirt-guests.patch
  * [a7f4bed] Install libvirt-guests
  * [6408c57] Remove libvirt-suspendonreboot
  * [3466195] Imported Upstream version 0.8.7
  * [18bb43a] Update libvirt0 symbols
  * [d8e02ad] Fix typo in --with-init-script build option
  * [676a47e] New patch 0008-libvirt-guests-remove-bashisms.patch
  * [3a03ea6] New patch 0009-build-let-xgettext-see-strings-in-libvirt-
    guests.patch
  * [ee3d2e0] Update patch 0010-Debianize-libvirt-guests.patch
  * [904de70] Update libvirt-guests init script location

 -- Laurent Léonard <laurent@open-minds.org>  Tue, 18 Jan 2011 18:43:56 +0100

libvirt (0.8.6-1) experimental; urgency=low

  * [3b7b682] Imported Upstream version 0.8.6
  * [5b081c3] Drop patch
    - 0008-Move-MAX_VIRT_CPUS-so-all-xen-code-can-see-it.patch - fixed upstream
  * [38589e6] Update libvirt0 symbols

 -- Laurent Léonard <laurent@open-minds.org>  Tue, 30 Nov 2010 23:31:59 +0100

libvirt (0.8.5-1) experimental; urgency=low

  [ Laurent Léonard ]
  * [6e46f0e] Fix wrong regular expression in debian/watch
  * [802e658] Imported Upstream version 0.8.5
  * [c8e4517] Update patch 0002-qemu-disable-network.diff.patch
  * [5549d65] Drop patch
    - 0009-Don-t-fail-lxc-domain-start-when-memory-controller-s.patch - fixed
      upstream
  * [1af66c1] Update libvirt0 symbols

  [ Guido Günther ]
  * [fc234c4] New patch 0008-Move-MAX_VIRT_CPUS-so-all-xen-code-can-see-
    it.patch. Move MAX_VIRT_CPUS so all xen code can see it

 -- Laurent Léonard <laurent@open-minds.org>  Mon, 15 Nov 2010 14:09:53 +0100

libvirt (0.8.4-1) experimental; urgency=low

  [ Laurent Léonard ]
  * [49a581b] Imported Upstream version 0.8.4
  * [e1dc0c7] Redo patches
  * [cce7327] Update libvirt0 symbols

  [ Guido Günther ]
  * [bd91614] Drop 0007-Fix-block-statistics-with-newer-versions-of-
    Xen.patch fixed upstream.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Sep 2010 15:29:48 +0200

libvirt (0.8.3-6~1.gbpca2348) UNRELEASED; urgency=low

  ** SNAPSHOT build @ca2348476605efc4d067933f136ffdae3cf44283 **

  [ Laurent Léonard ]
  * [6e46f0e] Fix wrong regular expression in debian/watch
  * [6f95d48] Fix exit status codes in libvirt init script to comply with LSB

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Jan 2011 13:55:42 +0100

libvirt (0.8.3-5) unstable; urgency=low

  [ Laurent Léonard ]
  * [6e46f0e] Fix wrong regular expression in debian/watch

  [ Guido Günther ]
  * [f561b2e] New patch 0010-nwfilter-resolve-deadlock-between-VM-
    operations-and-.patch nwfilter: resolve deadlock between VM operations and
    filter update (Closes: #602715)
  * [91a1b8d] New patch 0011-OpenVZ-take-veid-from-vmdef-name-when-
    defining-new-d.patch: Fixes OpenVZ domain creation (Closes: #592817) -
    thanks to Eric Litak.
  * [3d3f395] New patch 0012-OpenVZ-Fix-some-overwritten-error-codes.patch:
    Improve error reporting.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Dec 2010 15:12:48 +0100

libvirt (0.8.3-4) unstable; urgency=low

  * [29e8714] Recommend ebtables used by nwfilter
  * [e9eb650] New patch
    0009-Don-t-fail-lxc-domain-start-when-memory-controller-s.patch - Don't
    fail lxc domain start when memory controller support is missing (Closes:
    #566180)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Nov 2010 14:22:09 +0100

libvirt (0.8.3-3) unstable; urgency=low

  * [178670a] Add $syslog to the list of Required-{Start,Stop} services also
    drop $local_fs since we already have $remote_fs
  * [4db7451] Don't hardcode netcat's -q option. (Closes: #573172) - thanks to
    Marc Deslauriers for the patch
  * [d4c46ee] Disable CHECKSUM rules not supported by Squeeze's iptables
    (Closes: #598330)
  * [dbc2609] Move new NEWS items to the top

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Oct 2010 19:47:46 +0200

libvirt (0.8.3-2) unstable; urgency=low

  * [4097bbd] New patch 0007-Fix-block-statistics-with-newer-versions-
    of-Xen.patch. Fix block statistics with newer versions of Xen
    (Closes: #596004) - thanks to Gerald Turner for the patch
  * [d554da3] Explain disk image probing changes (Closes: #594962)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Sep 2010 14:00:38 +0200

libvirt (0.8.3-1) unstable; urgency=low

  [ Guido Günther ]
  * Mention clear_emulator_capabilities
  * Recommend iptables and gawk

  [ Laurent Léonard ]
  * Imported Upstream version 0.8.3
    - Fixes: CVE-2010-2237, CVE-2010-2238, CVE-2010-2239, CVE-2010-2242
  * Redo patches
  * Update libvirt0 symbols
  * Bump Standards-Version to 3.9.1

  [ Guido Günther ]
  * Install libvirt-qemu library
  * Add libvirt-qemu.so symbols

  [ Laurent Léonard ]
  * Fix debian/NEWS syntax

 -- Laurent Léonard <laurent@open-minds.org>  Fri, 06 Aug 2010 17:18:55 +0200

libvirt (0.8.2-1) unstable; urgency=low

  * Imported Upstream version 0.8.2
  * Drop patches.
  * Update libvirt0 symbols.
  * Bump Standards-Version to 3.9.0.
  * Add virtualbox-ose and libnl-dev build dependencies.

 -- Laurent Léonard <laurent@open-minds.org>  Tue, 06 Jul 2010 12:14:33 +0200

libvirt (0.8.1-2) unstable; urgency=low

  * [41aea79] Drop patchsys-quilt since this package is 3.0 (quilt) now.
    (Closes: #577919)
  * [978e3c9] libvirt-bin.init: export PATH. (Closes: #584333)
  * [e4f0869] virt-xml-validate needs xmllint from libxml2-utils.
    (Closes: #584869)
  * [bba6d72] New patch 0008-Fix-leaks-in-udev-device-add-remove.patch:
    Fix leaks in udev device add/remove. (Closes: #582965) - thanks to
    Nigel Jones for forwarding this

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Jun 2010 18:23:47 +0200

libvirt (0.8.1-1) unstable; urgency=low

  * [647cbd6] Imported Upstream version 0.8.1
        * fixes spurious syslog messages (Closes: #565275)
        * sysfs USB class parsing (Closes: #579208)
        * virsh honors $VISUAL (Closes: #574415)
  * [fecd1b9] Update libvirt symbols to 0.8.1
  * [3e58e0b] Drop patches merged upstream:
        * 0007-nwfilter-Don-t-crash-if-driverState-NULL.patch
        * 0008-Ignore-empty-type-statement-in-disk-element.patch
  * [561ab2e] New patch:
        * 0007-patch-qemuMonitorTextGetMigrationStatus-to-intercept.patch:
          make qemuMonitorTextGetMigrationStatus to intercept unknown
          command 'info migrate' (Closes: #574272) - thanks to Andreas Bießmann
  * [aeda8ea] Enanble macvtap support

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 May 2010 14:25:00 +0200

libvirt (0.8.0-2) unstable; urgency=low

  * [70fbcb6] New patch 0007-nwfilter-Don-t-crash-if-driverState- NULL.patch
    nwfilter: Don't crash if driverState == NULL (Closes: #577728)
  * [d7d1abd] New patch 0008-Ignore-empty-type-statement-in-disk-
    element.patch Ignore empty type statement in disk element
    (Closes: #578347)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 19 Apr 2010 18:11:57 +0200

libvirt (0.8.0-1) unstable; urgency=low

  * Imported Upstream version 0.8.0
  * Drop patches.
  * Update libvirt0 symbols.
  * Switch to new source format 3.0 (quilt).

 -- Laurent Léonard <laurent@open-minds.org>  Tue, 13 Apr 2010 20:50:29 +0200

libvirt (0.7.7-4) unstable; urgency=low

  [ Guido Günther ]
  * [cf4919c] Recommend either qemu-kvm or qemu

  [ Laurent Léonard ]
  * [1b12f02] Change libparted1.8-dev build dependency to libparted0- dev.
    (Closes: #574906)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 22 Mar 2010 20:50:30 +0100

libvirt (0.7.7-3) unstable; urgency=low

  * The "fix all those crashes" release
  * [f74e13a] Explicitly disable hal (Closes: #574177)
  * [21ef92b] New patch 0009-security-Set-permissions-for-kernel- initrd.patch
    security: Set permissions for kernel/initrd (Closes: #574241) - thanks to
    Cole Robinson
  * [b69d3cc] Revert "Enable NUMA support" since it breaks the python
    bindings.
  * [5f2ca4a] New patch 0010-Don-t-crash-without-a-security-driver.patch Don't
    crash without a security driver (Closes: #574359)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 17 Mar 2010 21:05:35 +0100

libvirt (0.7.7-2) unstable; urgency=low

  [ Guido Günther ]
  * [b350683] Enable parallel build
  * [b2a6aab] Enable NUMA support
  * [13274cf] New patch 0007-Work-around-broken-linux-socket.h.patch
    Work around broken linux/socket.h

  [ Laurent Léonard ]
  * [3c12caf] qemu: Fix USB by product with security enabled.

 -- Laurent Léonard <laurent@open-minds.org>  Tue, 16 Mar 2010 00:47:34 +0100

libvirt (0.7.7-1) unstable; urgency=low

  * [f944460] Imported Upstream version 0.7.7
  * [bd457cc] Redo patches.
  * [098d1d3] Update libvirt0 symbols.

 -- Laurent Léonard <laurent@open-minds.org>  Fri, 05 Mar 2010 17:49:17 +0100

libvirt (0.7.6-2) unstable; urgency=low

  * [72790fc] Drop hal dependency We're using udev for device enumeration.
  * [ce225c4][11cc6e9] New patch
    0006-Don-t-drop-caps-when-exec-ing-qemu.patch: Don't drop caps when
    exec'ing qemu. Instead of disabling libcap-ng better exclude this one exec
    so we get the additional security for the rest of the calls. Makes
    interface type="network" work again. (Closes: #565767)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 14 Feb 2010 18:22:30 +0100

libvirt (0.7.6-1) unstable; urgency=low

  * [0229557] Imported Upstream version 0.7.6
  * [6fdc00b] Drop patches.
  * [1b0670b] Update libvirt0 symbols.

 -- Laurent Léonard <laurent@open-minds.org>  Thu, 04 Feb 2010 00:38:08 +0100

libvirt (0.7.5-6) unstable; urgency=low

  [ Laurent Léonard ]
  * [a3b98c9] Don't free an uninitalized pointer in update_driver_name()
    (Closes: #565983) - thanks to Matthias Bolte
  * [719976d] Handle only official releases in debian/watch.
  * [83902d9] Bump Standards-Version to 3.8.4.

  [ Guido Günther ]
  * [959640d] New patch 0011-Fix-parsing-of-info-chardev-line-
    endings.patch Fix parsing of 'info chardev' line endings (Closes:
    #567818) - thanks to Matthew Booth

  [ Laurent Léonard ]
  * [0b2a9dd] Add $remote_fs to Required-Start and Required-Stop in
    libvirt-bin init script.

 -- Laurent Léonard <laurent@open-minds.org>  Mon, 01 Feb 2010 00:03:58 +0100

libvirt (0.7.5-5) unstable; urgency=low

  [ Guido Günther ]
  * [d8e60e8] Add css to docs
  * [f6e41ae] New patch 0008-qemu-Use-log-output-for-pty-assignment-if-
    info-chard.patch qemu: Use log output for pty assignment if 'info
    chardev' is unavailable - thanks to Matthias Bolte

  [ Laurent Léonard ]
  * [0905f82] Fix QEMU driver custom domain status XML extensions. -
    thanks to Daniel P. Berrange

 -- Laurent Léonard <laurent@open-minds.org>  Tue, 19 Jan 2010 23:16:16 +0100

libvirt (0.7.5-4) unstable; urgency=low

  * [18520c0] Same description of supported virt techs in all binary packages
    (Closes: #564909) - thanks to Loïc Minier
  * [49c357c] Implement path lookup for USB by vendor:product (Closes:
    #563502) - thanks to Cole Robinson

 -- Guido Günther <agx@sigxcpu.org>  Wed, 13 Jan 2010 23:57:26 +0100

libvirt (0.7.5-3) unstable; urgency=low

  * [4d41fd7] Also look for dmi information in /sys/class older kernels such
    as 2.6.26 have it there. (Closes: #564020)
  * [1c0e0b5] Explicitly disable ESX support
  * [c3c84f6] Terminate nc on EOF (Closes: #564053) - thanks to Gabor Gombas
    for the patch

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Jan 2010 11:07:34 +0100

libvirt (0.7.5-2) unstable; urgency=low

  * Upload to unstable
  * [d6c5ca5] Add debugging symbols for all packages

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 Jan 2010 20:01:12 +0100

libvirt (0.7.5-1) experimental; urgency=low

  [ Laurent Léonard ]
  * [96f8d94] Imported Upstream version 0.7.5
  * [f8089a1] Redo patches.
  * [294ce3d] Update libvirt0 symbols.
  * [1c97be7] Allow DM upload and add myself as uploader.
  * [5635a32] Clean debian/watch.

  [ Guido Günther ]
  * [45f98ae] Drop 0005-udev_device_get_devpath-might-return-NULL.patch
    applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 26 Dec 2009 17:45:47 +0100

libvirt (0.7.4-2) experimental; urgency=low

  * [65d3755] Disable SELinux to work around #559356
  * [19bd427] Run qemu instances as qemu-libvirt instead of root by default
    (Closes: #558197)
  * [0a6c03b] Use kvm as primary group for libvirt-qemu user
  * [e5ae24b] Fix udev backend startup
  * [f610a8e] Use udev instead of hal backend

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Dec 2009 21:20:20 +0100

libvirt (0.7.4-1) unstable; urgency=low

  [ Laurent Léonard ]
  * [8f2761b] Imported Upstream version 0.7.4
  * [20b6b3d] Drop patches.
      * 0005-Fix-SELinux-linking-issues.patch - fixed upstream.
      * 0006-Don-t-let-parent-of-daemon-exit-until-basic-initiali.patch -
        fixed upstream.
      * 0007-Only-remove-masquerade-roles-for-VIR_NETWORK_FORWARD.patch -
        applied upstream.
      * 0008-Fix-qemu-session.patch - fixed upstream.
  * [e41f8c6] Update libvirt0 symbols.
  * [f184e28] Revert "switch to new source format 3.0 (quilt)" This reverts
    commit 213ca47bbbefe2dc95be58a09db34669e3be5797.
  * [65084d2] Enhance handling of examples.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 01 Dec 2009 18:51:18 +0100

libvirt (0.7.2-4) unstable; urgency=low

  * [213ca47] switch to new source format 3.0 (quilt)
  * [f5a10e9] Depend on hal (Closes: #556730)
  * [7d1422d] Drop build-dep on libpolkit-dbus-dev (Closes: #549500)
  * [95ad85c] Depend on libcap-ng-dev for lxc driver.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 25 Nov 2009 20:39:17 +0100

libvirt (0.7.2-3) unstable; urgency=low

  * [2c0aa82] Fix qemu:///session Backported from upsgtream's
    79218cdd9887b132eb0f29fe2048f89e90beae1 (Closes: #554869)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Nov 2009 12:50:54 +0100

libvirt (0.7.2-2) unstable; urgency=low

  [ Laurent Léonard ]
  * [a9ea205] Change requirement of libvirt-bin in libvirt- suspendonreboot.
  * [a4db804] Update debian/patches/0006-Don-t-let-parent-of-daemon-
    exit-until-basic-initiali.patch. Fix use of an uninitialized variable that
    was causing a bug on i386 systems.
  * [59e1e53] Redo patches.

  [ Guido Günther ]
  * upload to unstable
  * [43f106a] Only remove masquerade roles for VIR_NETWORK_FORWARD_NAT
    (Closes: #549949) - thanks to Rob S. Wolfram for testing

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Nov 2009 20:44:21 +0100

libvirt (0.7.2-1) experimental; urgency=low

  [ Laurent Léonard ]
  * [51a4814] Imported Upstream version 0.7.2
  * [12268f6] Update patches.
  * [175d497] Fix SELinux linking issues. Pulled from upstream
    309acaa0230494b8ec08d03375c10238cb2daf55.
  * [5cfdaf8] Update libvirt-doc docs.
  * [dc2059f] Update libvirt-bin manpages.
  * [a62a4a7] Update libvirt-bin examples.
  * [9e38cbc] Update libvirt0 symbols.
  * [412b12f] Make init.d script provide itself.
  * [35451bf] Update debian/rules to support new example files.
  * [43b7dac] Don't let parent of daemon exit until basic initialization is
    done.
  * [5a37e69] Make init.d provide libvirtd for backward compatibility.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 26 Oct 2009 20:14:23 +0100

libvirt (0.7.1-2) unstable; urgency=low

  * [f5299d3] document changes and release 0.7.1-1
  * [f137c00] Allow for older versions of dpkg-dev to ease backports.
  * [74f5832] Use Policykit 1.0 (Closes: #549500)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 Oct 2009 20:32:02 +0200

libvirt (0.7.1-1) unstable; urgency=low

  [ Laurent Léonard ]
  * [40fb620] Bump Debhelper version to 7.
  * [e0e89f2] Bump Standards-Version to 3.8.3.
  * [50a862f] Clean debian/rules.
  * [e9c9906] Change build dependency on libreadline5-dev to
    libreadline-dev.
  * [b6cb738] Imported Upstream version 0.7.1
  * [780f6a7] Redo patches.
  * [3d66f37] Update libvirt-bin examples.
  * [c01ed84] Update libvirt0 symbols.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 26 Sep 2009 17:15:02 +0200

libvirt (0.7.0-1) experimental; urgency=low

  [ Laurent Léonard ]
  * [4fb1a38] Imported Upstream version 0.7.0
  * [5578fd3] Drop 0005-Fix-PCI-device-hotplug-unplug-with-newer-
    QEMU.patch. Fixed upstream.
  * [9a8afd0] Redo patches.
  * [937ab63] Update symbols.
  * [b4bd1ea] Update section in doc-base control file.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Aug 2009 13:35:42 +0200

libvirt (0.6.5-3) unstable; urgency=low

  * [72a8eb6] Add a versioned dependency on dpkg-dev (Closes: #537316)
  * [ae20998] fix Debian Xen path patch to also cover the testsuite
  * [b2a1c47] New patch 0001-Fix-PCI-device-hotplug-unplug-with-newer-
    QEMU.patch pulled from upstream 326ecb7. Fixes PCI hotplug with
    newer kvm.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Jul 2009 12:17:52 +0200

libvirt (0.6.5-2) unstable; urgency=low

  * [45b9fdf] build-conflict on dpkg-dev (= 1.15.3) (Closes: #536673)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Jul 2009 15:03:08 +0200

libvirt (0.6.5-1) unstable; urgency=low

  [ Guido Günther ]
  * [05e9a39] build-depend on policykit so polkit auth works with virsh
    as well

  [ C.J. Adams-Collier ]
  * [a161c5f] allow to qemu to emulate arm

  [ Guido Günther ]
  * [b1e4c4b] Imported Upstream version 0.6.5
  * [e764583] change private symbols to 0.6.5
  * [f94fb48] drop 0005-allow-to-qemu-to-emulate-arm.patch fixed upstream.
  * [7ad7896] bump standards version
  * [e2c5867] tighten libvirt-bin's dependency on libvirt0 since libvirtd uses
    private symbols

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Jul 2009 13:07:53 +0200

libvirt (0.6.4-1) unstable; urgency=low

  * [dd3adb2] Imported Upstream version 0.6.4
  * [2320162] update symbols file
  * [89c9720] remove bashism (Closes: #530122)
  * [30d86c1] drop patches fixed upstream:
        0005-don-t-crash-with-def-NULL.patch
        0006-Fix-QEMU-ARGV-detection-with-kvm-85.patch
        0007-Declare-support-for-QEMU-migration-in-capabilities.patch

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Jun 2009 12:50:01 +0200

libvirt (0.6.3-4) unstable; urgency=low

  * [3607f2f] Install libvirt_lxc that got list somewhere between our
              testbuilds. (Closes: #529578)
  * [070ddd5] install augeas lense
  * [c9b034d] install schema files

 -- Guido Günther <agx@sigxcpu.org>  Wed, 20 May 2009 14:33:18 +0200

libvirt (0.6.3-3) unstable; urgency=low

  * [4087b7d] disable lxc on ia64 to work around FTBFS until we have
              access to a test machine
  * [df5f5a0] pull some kvm/qemu related patches from upstream
              (Closes: #529324)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 19 May 2009 19:14:57 +0200

libvirt (0.6.3-2) unstable; urgency=low

  * [35898d3] fix crash when libvirt_lxc is called without arguments
  * [449ca60] enable lxc support (Closes: #526718) - thanks to Daniel
              Pittman for testing this
  * [335a4e6] update description with supported virtualization solutions
  * [92eba47] delay libvirt-bin start until after avahi
  * [8ebd17d] update startup priorities due to changed libvirt-bin
               startup priority. Also add an LSB header. (Closes: #526944)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 07 May 2009 13:28:40 +0200

libvirt (0.6.3-1) unstable; urgency=low

  * [0cb2f83] Imported Upstream version 0.6.3
        * virtual box support
  * [06fe518] 0001-remove-RHism.diff.patch: use invoke-rc.d
  * [ec2fd52] drop patches merged upstream:
        * 0003-allow-libvirt-group-to-access-the-socket.patch  series
        * 0004-fix-Debian-specific-path-to-hvm-loader.patch
  * [6977bde] enable vbox support
  * [93c4423] add symbols file

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 May 2009 23:33:28 +0200

libvirt (0.6.2-2) unstable; urgency=low

  * [031b9c1] Don't hardcode buffer size for getgrnam_r. Works around
              #520744 and fixes possible problems with implementations having
              _SC_GETGR_R_SIZE_MAX != 1024.
  * [bbe7743] respect log priority for qemu domain logs (Closes: #524145)
  * [a2e4cb0] don't rely on log_end_msg returning 0 this isn't the case
              with splashy. (Closes: #523712)
  * [ddfafda] move debug package into section debug

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Apr 2009 15:28:31 +0200

libvirt (0.6.2-1) unstable; urgency=low

  * [99fd06c] Imported Upstream version 0.6.2 (Closes: #521785)
  * [78cd5c8] drop /var/run/libvirt created by init script
  * [2a7cb3b] move startup of libvirtd after hal (Closes: #522310)
  * [b8707ed] bump standards version 0.8.1 (no changes necessary)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 09 Apr 2009 22:48:57 +0200

libvirt (0.6.1-1) unstable; urgency=low

  * [3be7341] Imported Upstream version 0.6.1
  * [38fde15] rediff Debian specific patches
  * [9b59a19] drop patches applied upstream:
        * 0004-Don-t-hardcode-ssh-port.patch
        * 0005-minimal-workaround-for-qemu-startup-race.patch
  * [95d4b7f] drop patches backported from upstream
        * 0009-libvirt_proxy-Fix-use-of-uninitalized-memory.patch
  * [8171d83] build-dep on module-init-tools so configure can figure out
    the path to modprobe

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Mar 2009 13:58:41 +0100

libvirt (0.6.0-1) experimental; urgency=low

  * [30be86d] Imported Upstream version 0.6.0
  * [179781c] drop patches
          * fixed upstream:
                0006-Fix-missing-read-only-access-checks-CVE-2008-5086.patch
          * applied upstream:
                0004-Open-qemu-monitor-log-O_APPEND-instead-of-O_TRUNC.patch
                0005-qemu-fix-parallel-serial-mode-tcp-and-unix.patch
                0007-don-t-fail-on-missing-locales.patch
  * [d80a176] adjust remaining patches to new upstream version
  * [208c924] add minimal workaround for qemu startup race
  * [6e8caa0] restart libvirt daemon on upgrades if possible
    (Closes: #492694, #499008)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Feb 2009 18:40:10 +0100

libvirt (0.5.1-7) unstable; urgency=low

  * [1238706] Recommend dnsmasq-base instead of dnsmasq this keeps us
    out of all the dnsmasq already running troubles. (Closes: #516443) -
    thanks to Bin Zhang for the suggestion and the doc update
  * [5c9dfd7] don't rotate empty logfiles (Closes: #517040)
  * [1c9a023] libvirt_proxy: Fix use of uninitalized memory We currently
    don't build this code (CVE-2009-0036).
  * [4ea1ea9] fix path to hvmloader (Closes: #517059)
  * [879b632] suggest devhelp
  * [f22f1ef] add ${misc:Depends}
  * [c6f579e] README.Debian: fix typo

 -- Guido Günther <agx@sigxcpu.org>  Thu, 26 Feb 2009 14:45:32 +0100

libvirt (0.5.1-6) unstable; urgency=low

  * upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Mon, 16 Feb 2009 21:27:21 +0100

libvirt (0.5.1-5) experimental; urgency=low

  * [d4a69d1] don't fail on missing locales (Closes: #512721)
  * [cecac4c] don't hardcode ssh port - based on a patch by Adrian
    Bridgett. (Closes: #513605)
  * [4565a65] drop superflous headers and footers from remaining patches

 -- Guido Günther <agx@sigxcpu.org>  Fri, 30 Jan 2009 23:06:29 +0100

libvirt (0.5.1-4) experimental; urgency=low

  * [2fd5224] apply upstream patch for CVE-2008-5086 (Closes: #509106)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 18 Dec 2008 16:12:00 +0100

libvirt (0.5.1-3) experimental; urgency=low

  * [d30438c] create libvirt log directory (Closes: #508129)
  * [417a23c] qemu: fix parallel/serial mode "tcp" and "unix"
    (Closes: #507608)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 11 Dec 2008 12:38:01 +0100

libvirt (0.5.1-2) experimental; urgency=low

  * [4cd547b] create /var/run/libvirt (Closes: #507578)
  * [fe96870] merge back master
  * [d46313f] drop patches for issues fixed upstream
     - 0007-also-look-for-usr-bin-kvm.patch
     - 0008-Increase-initial-qemu-monitor-read-timeout.patch
     - 0009-Open-qemu-monitor-log-O_APPEND-instead-of-O_TRUNC.patch
     - 0010-raise-error-on-invalid-volume-format.patch

 -- Guido Günther <agx@sigxcpu.org>  Sat, 06 Dec 2008 10:37:12 +0100

libvirt (0.5.1-1) experimental; urgency=low

  * [d76b3a1] Imported Upstream version 0.5.1 (Closes: #507677, #507547)
  * [2e550ae] enable hal for device enumeration
  * [0d9116a] rotate qemu monitor logs (Closes: #507553) - thanks to
    Harald Staub
  * [5f85e66] depend on logrotate
  * [6e955a3] open qemu monitor O_APPEND instead of O_TRUNC for logrotate
  * [7dbea84] drop 0004-xen-prefer-xenstoraged-driver-for-
    listDomains.patch - applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Dec 2008 09:36:54 +0100

libvirt (0.5.0-1) experimental; urgency=low

  * [717ef21] Imported Upstream version 0.5.0
  * [b7a1fbd] enable OpenVZ support (Closes: #504597) - thanks to Pierre
    Chifflier for the patch
  * [ee3590a] drop patches, fixed upstream:
        * 0004-support-virtio-and-scsi-disks-in-qemudDomainBlockSta.patch
        * 0005-fix-define-vs.-defined-typos.patch
  * [f4f601f] bump shlibs to 0.5.0

 -- Guido Günther <agx@sigxcpu.org>  Fri, 28 Nov 2008 16:40:38 +0100

libvirt (0.4.6-10) unstable; urgency=low

  * [5878698] cherry-pick patch for CVE-2008-5086 from experimental

 -- Guido Günther <agx@sigxcpu.org>  Thu, 18 Dec 2008 16:59:45 +0100

libvirt (0.4.6-9) unstable; urgency=low

  * [d30438c] create libvirt log directory (Closes: #508129)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Dec 2008 10:12:28 +0100

libvirt (0.4.6-8) unstable; urgency=low

  * [e771da9] drop superflous 0011-Fix-segfault-on-missing-volume-
    format.patch - not needed.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Dec 2008 10:17:01 +0100

libvirt (0.4.6-7) unstable; urgency=low

  * [ea12bd9] create /var/run/libvirt fixes /var/run on tmpfs
    (Closes: #507578)
  * [97e5706] also look for /usr/bin/kvm (Closes: #507547)
  * [311b4c1] increase initial qemu monitor read timeout
    (Closes: #499720)
  * [fbe4e00] open qemu monitor log O_APPEND instead of O_TRUNC
  * [f8ce017] raise error on invalid volume format
  * [40edcf8] rotate qemu monitor logs (Closes: #507553) - thanks to
    Harald Staub
  * [46ea43a] fix segfault on missing volume format (Closes: #507677) -
    thanks to Daniel Veillard
  * [ee377f3] bump shlibs version to 0.4.6
  * [504d55d] depend on logrotate

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Dec 2008 17:50:45 +0100

libvirt (0.4.6-6) unstable; urgency=low

  * [ff8e9ae] README.Debian: clarify xen configuration
  * [c07c68f] prefer xenstoraged driver for listDomains - avoids seeing "ghost
    domains" due to bugs in several versions of the xen HV

 -- Guido Günther <agx@sigxcpu.org>  Thu, 27 Nov 2008 18:06:48 +0100

libvirt (0.4.6-5) unstable; urgency=low

  * [411ada3] add more details about dnsmasq vs. libvirtd (Closes: #504605)
  * [2f8f07d] add default image dir virt-manager assumes they exist and
    they're used in the SELinux policies too. (Closes: #505577)
  * [9eb3a83] fix #define vs. #defined typos - affects non Linux architectures
    and fixes the build with gcc 4.4 (Closes: #505607) - thanks to Martin
    Michlmayr
  * [0e21634] fix uploader

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Nov 2008 14:54:48 +0100

libvirt (0.4.6-4) unstable; urgency=low

  * upload to unstable
  * [50b27f5] add libvirt-suspendonreboot script (Closes: #501155) -
    thanks to Andreas Barth

 -- Guido Günther <agx@sigxcpu.org>  Sat, 01 Nov 2008 19:33:36 +0100

libvirt (0.4.6-3) experimental; urgency=low

  * [8fa5a3c] add a versioned recommends on qemu (Closes: #501692)
  * [d1539bc] recommend pkg-config
  * [f08bb18] explain libvirt group (Closes: #501824)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Oct 2008 20:27:25 +0200

libvirt (0.4.6-2) experimental; urgency=low

  * [2039095] tighten libvirt dependency
  * [06dbe8a] qemu/kvm: fix domain block stats for virtio and scsi devices

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Oct 2008 22:03:05 +0200

libvirt (0.4.6-1) experimental; urgency=low

  * [e20d3d4] Imported Upstream version 0.4.6
  * [0c840ab] disable numactl
  * [ca2c5cb] cleanup doc installation (Closes: #492075)
  * [714ab94] drop 0004-for-kvm-determine-maxVCPUs-at-runtime.patch - applied
    upstream
  * [e7563a8] drop 0005-fix-crash-when-no-emulator-is-defined-for-kvm-
    qemu.patch - fixed upstream

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 25 Sep 2008 12:31:45 +0200

libvirt (0.4.5-2) experimental; urgency=low

  * [17647cd] libvirt-bin.default: add keytab default
  * [0ef01e7] fix runtime vcpu detection (0004-for-kvm-determine-
    maxVCPUs-at-runtime.patch) (Closes: #495950)
  * [b91e1eb] don't crash when no emulator is defined (0005-fix-crash-
    when-no-emulator-is-defined-for-kvm-qemu.patch)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 22 Sep 2008 20:11:04 +0200

libvirt (0.4.5-1) experimental; urgency=low

  * [ab8b4e6] Imported Upstream version 0.4.5
  * [4aaef27] tighten dependency on libvirt
  * [fa253be] drop 0002-qemu-path.diff.patch - fixed upstream
  * [87fc2db] drop 0005-check-for-the-existence-of-the-migrate-
    command.patch applied upstream
  * [bc311aa] drop 0006-wrong-open-failure-detection.patch applied
    upstream
  * [38e615d] rebase the remaining patches
  * [9a04bb7] bump shlibs version to 0.4.5
  * [9fadd6f] disable LXC
  * [179c869] build-dep on libselinux1-dev for selinux support

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 18 Sep 2008 19:02:55 +0200

libvirt (0.4.4-3) unstable; urgency=low

  * upload to unstable
  * [96c6727] add /var/cache/libvirt needed by qemuDriver for temporary
    storage
  * [794f95c] bump standards version to 3.8.0
  * [05184af] add README.source

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 23 Jul 2008 11:30:31 -0400

libvirt (0.4.4-2) experimental; urgency=low

  * [facb983] README.Debian explain "default" network startup
  * [395a510] add /var/lib/libvirt needed for the dnsmasq lease file
  * [9c588ac] promote bridge-utils & dnsmasq to Recommends: since
    they're needed for the default NAT network
  * [9ed2cd4] recommend iptables - needed for the default NAT network

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 23 Jul 2008 00:23:58 -0400

libvirt (0.4.4-1) experimental; urgency=low

  * [0ff1e68] new upstream version
  * [2098f96] rebase patches for 0.4.4
  * [abbd15e] enable with-storage-disk now that we have parted1.8
  * [3942b25] start libvirtd by default

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 27 Jun 2008 10:06:00 +0200

libvirt (0.4.2-6) unstable; urgency=low

  * reenable open-iscsi support  - thanks to to the open-iscsi
    maintainers for fixing this up
  * build a libvirt0-dbg package
  * register documentation with doc-base  (Closes: #480294) - thanks to
    Tzafrir Cohen for the patch
  * control: fix typo
  * README.Debian: explain debugging

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 15 May 2008 18:04:20 +0200

libvirt (0.4.2-5) unstable; urgency=low

  * no need to depend on python-all-dev we only build an extension for
    the current python version

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 22 Apr 2008 11:26:13 +0200

libvirt (0.4.2-4) unstable; urgency=low

  * only build-dep on qemu on architectures that have it
    (Closes: #476290)
  * the packages containing the daemon should suggest polkit

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 18 Apr 2008 10:41:38 +0200

libvirt (0.4.2-3) unstable; urgency=low

  * drop the {build-,}dependency on open-iscsi too
  * suggest policykit

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 14 Apr 2008 15:27:20 +0200

libvirt (0.4.2-2) unstable; urgency=low

  * disable the iscsi storage backend until #423368 is fixed in unstable
  * disable polkit authentication by default so the libvirt stays accessible
    for members of the libvirt group

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 14 Apr 2008 14:20:23 +0200

libvirt (0.4.2-1) unstable; urgency=low

  * drop no-mac.diff - applied upstream
  * no need to explicitly link against libpthread
  * always enable debugging
  * add Homepage URL
  * add Vcs-{Git,Browser} fields
  * symlink devhelp docs
  * enable policy kit

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 11 Apr 2008 17:54:06 +0200

libvirt (0.4.1-1) experimental; urgency=low

  * new upstream version
       * Xen 3.2 fixes
       * storage pool support
  * partition based storage pools are disabled, since this needs parted 1.8
    which is only in experimental
  * update patches for new upstream release
       * boot-dev-error.diff - applied upstream
       * qemu-parse-error.diff - applied upstream
       * qemu-path.diff - adjust to new hypervisor detection code
       * rediff the rest
  * new patches:
       * no-mac.diff: don't set mac address on tun device since it breaks kvm
  * bump shlibs version

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 07 Mar 2008 10:17:21 +0100

libvirt (0.4.0-6) unstable; urgency=low

  * depend on libxen-dev (Closes:#467598)
  * allow members of the libvirt group to manage virtual machines

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 02 Mar 2008 16:11:49 +0100

libvirt (0.4.0-5) unstable; urgency=low

  * thanks to the xen maintainers Debian now has a working libxen-dev, so
    enable xen support in the default build (Closes: #453826)
  * recommend netcat-openbsd for unix domain socket support (Closes: #453627)
  * README.Debian: document necessary xend options
  * fix spelling of Python

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 20 Feb 2008 11:14:22 +0100

libvirt (0.4.0-4) unstable; urgency=low

  * don't segfault on broken boot device configuration (Closes: #463686)
  * don't segfault due to missing errorhandling in the XML parsing code

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 05 Feb 2008 13:12:54 +0100

libvirt (0.4.0-3) unstable; urgency=low

  * add and remove the libvirt group for the socket
  * be a bit more verbose on libvirtd reload
  * depend on adduser since we add the libvirt user
  * don't restart libvirtd on upgrades since it kills running qemus
  * enable debugging via DEB_BUILD_OPTS

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 03 Feb 2008 14:21:46 +0100

libvirt (0.4.0-2) unstable; urgency=low

  * libvirt-bin.init: fix the reload target
  * add configuration examples

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 15 Dec 2007 18:59:11 +0100

libvirt (0.4.0-1) unstable; urgency=low

  * new upstream version
  * enable sasl support
  * leave policykit support disabled since it's not in unstable yet
  * bump shlibs version
  * remove CVS metadata
  * rediff patches
  * libvirtd-bin.init: libvirtd supports reload

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 21 Dec 2007 16:49:13 +0100

libvirt (0.3.3-6) unstable; urgency=low

  * don't include precompiled examples in the doc package (Closes: #456825)
  * remove RHism from manpage (Closes: #455859)
  * bump standards version

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 19 Dec 2007 13:45:58 +0100

libvirt (0.3.3-5.xen0) unstable; urgency=low

  * rebuild with xen support

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 08 Jan 2008 11:00:24 +0100

libvirt (0.3.3-5) unstable; urgency=low

  * make libs match overrides
  * move to team maintenance
  * suggest dnsmasq and bridge-utils for qemu networking
  * remove stale PID files

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 13 Dec 2007 21:34:16 +0100

libvirt (0.3.3-4.xen0) unstable; urgency=low

  * UNRELEASED
  * build with xen support
  * debian/control: we also support xen

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 06 Dec 2007 15:43:03 +0100

libvirt (0.3.3-4) unstable; urgency=low

  * put packages into the proper sections
  * fix messed up Standards-Version (Closes: #453900)

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 02 Dec 2007 14:50:11 +0100

libvirt (0.3.3-3.xen0) unstable; urgency=low

  * build with xen support - depend on our hacked up xen-utils for that

 --  Guido Guenther <agx@sigxcpu.org>  Sat, 01 Dec 2007 16:27:32 +0000

libvirt (0.3.3-3) unstable; urgency=low

  * add initscript to start libvirtd

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 28 Nov 2007 10:30:29 +0100

libvirt (0.3.3-2) unstable; urgency=low

  * debian/copyright:
      * update FSF address
      * update upstream author and copyright information
  * install the virsh manpage
  * use binary:Version instead of Source-Version

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 23 Nov 2007 22:31:26 +0100

libvirt (0.3.3-1) unstable; urgency=low

  * repackage for Debian (Closes: #384300)
  * enable avahi
  * build with qemu/kvm support
  * disable xen support until #402249 is fixed
  * disable qemu autonetwork for now, causes libvirtd to seqfault
  * fix path to kvm
  * switch off DH_VERBOSE
  * thanks to the Ubuntu maintainers for their work!

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 23 Nov 2007 01:58:56 +0100

libvirt (0.3.3-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Update maintainer.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 14 Nov 2007 23:09:33 +0100

libvirt (0.3.0-0ubuntu2) gutsy; urgency=low

  * Add lingnutls-dev Build-Dep.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 16 Jul 2007 12:10:41 +0200

libvirt (0.3.0-0ubuntu1) gutsy; urgency=low

  * Import new upstram release that can actually build on xen-3.1.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 16 Jul 2007 10:23:04 +0200

libvirt (0.2.2-0ubuntu1) gutsy; urgency=low

  * Depends on libxen3.1-dev.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jul 2007 11:04:00 -0400

libvirt (0.2.2-0ubuntu0) gutsy; urgency=low

  * New upstream version.
  * Updated libvirt-bin.install, thanks to Marcelo Boveto Shima.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 24 Jun 2007 09:54:54 -0400

libvirt (0.1.8-0ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:21:55 +0000

libvirt (0.1.8-0ubuntu1) feisty; urgency=low

  * Initial release

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Mon, 23 Oct 2006 20:00:28 +1300

